<?php

namespace App\Http\Controllers;

use App\Actions\CityAction;
use App\Actions\DiscountCodeAction;
use App\Actions\ProvinceAction;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class CityAndProvinceController extends Controller
{
    //
    public function getCities (Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Cities List : ',
            'data' => (new CityAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->getByEloquent()
        ]);
    }

    public function getCityById (string $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'City : ',
            'data' => (new CityAction())
                ->makeEloquent()
                ->getById($id)
        ]);
    }

    public function getProvinces (Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Provinces List : ',
            'data' => (new ProvinceAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->getByRequestAndEloquent()
        ]);
    }

    public function getProvinceById (string $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Province : ',
            'data' => (new ProvinceAction())
                ->setRelations(['cities'])
                ->makeEloquent()
                ->getById($id)
        ]);
    }
}
