<?php

namespace App\Http\Controllers;

use App\Actions\ContactUsAction;
use Genocide\Radiocrud\Models\KeyValueConfig;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ContactUsContentController extends Controller
{
    public function store (Request $request): JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Message Sent : ',
            'data' => (new ContactUsAction())
                ->setRequest($request)
                ->setValidationRule('store')
                ->sendMessage($request->header('token'))
        ]);
    }

    public function readMessage (Request $request): JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Messages : ',
            'data' => (new ContactUsAction())
                ->setRequest($request)
                ->getAndReadMessage()
        ]);
    }

    public function count (Request $request): JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Unseen Count : ',
            'data' => (new ContactUsAction())
                ->setRequest($request)
                ->unseenCount()
        ]);
    }
}
