<?php

namespace App\Http\Controllers;

use App\Actions\DiscountCodeAction;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class DiscountCodeController extends Controller
{
    //
    public function store (Request $request): JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Registered Successfully',
            'data' => (new DiscountCodeAction())
                ->setRequest($request)
                ->setValidationRule('storeByAdmin')
                ->storeByRequest()
        ]);
    }

    public function updateById (string $id, Request $request): JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'ok',
            'data' => (new DiscountCodeAction())
                ->setRequest($request)
                ->setValidationRule('update')
                ->updateDiscount($id)
        ]);
    }

    public function get (Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Discount Codes List : ',
            'data' => (new DiscountCodeAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->getByRequestAndEloquent()
        ]);
    }

    public function getById (string $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Discount Code : ',
            'data' => (new DiscountCodeAction())
                ->makeEloquent()
                ->getById2($id)
        ]);
    }

    public function getByCode (string $code , Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Discount Code : ',
            'data' => (new DiscountCodeAction())
                ->makeEloquent()
                ->getByCode($code, $request->header('token'))
        ]);
    }

    public function delete (string $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Deleted : ',
            'data' => (new DiscountCodeAction())
                ->makeEloquent()
                ->deleteById($id)
        ]);
    }
}
