<?php

namespace App\Http\Controllers;

use App\Actions\OrderAction;
use App\Actions\TransactionAction;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class OrderController extends Controller
{
    //

    public function confirm(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Confirmation : ',
            'data' => (new OrderAction())
                ->setRequest($request)
                ->setValidationRule('change_status')
                ->purchaseConfirmation($request->header('token'))
        ]);
    }

    public function get(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Requests List : ',
            'data' => (new OrderAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->setResource('OrderResource')
                ->makeEloquentViaRequest()
                ->getUserOrder($request->header('token'))
        ]);
    }
}
