<?php

namespace App\Http\Controllers;

use App\Actions\BusinessAction;
use App\Actions\TransactionAction;
use App\Exports\TransactionExport;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;

class TransactionController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('check_role:TRANSACTIONS_LIST')->only(['get','getById','transactionToExcel']);
    }

    public function get(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Transactions List : ',
            'data' => (new TransactionAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->getByRequestAndEloquent()
        ]);
    }

    public function getTethetPending(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Transactions List : ',
            'data' => (new TransactionAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->tetherPendingList()
        ]);
    }

    public function getById(string $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Transaction : ',
            'data' => (new TransactionAction())
                ->getById($id)
        ]);
    }

    public function deleteById (string $id): JsonResponse
    {
        (new BusinessAction())->deleteById($id);

        return response()->json([
            'success' => true,
            'message' => 'deleted'
        ]);
    }

    public function transactionToExcel()
    {
        return Excel::download(new TransactionExport(), 'transactions.xlsx');
    }
}
