<?php

namespace App\Actions;

use App\Models\ContactUs;
use App\Models\Token;
use Genocide\Radiocrud\Services\ActionService\ActionService;

class ContactUsAction extends ActionService
{
    public function __construct()
    {
        $this
            ->setModel(ContactUs::class)
            ->setValidationRules([
                'store' => [
                    'message' => ['required', 'string', 'max:150'],
                ],
                'get_query' => [
                    'search' => ['string', 'max:255'],
                ],
            ]);
        parent::__construct();
    }
    public function sendMessage($token)
    {
        $data = $this->getDataFromRequest();
        $user_id = Token::query()->where('token', $token)->first()->user_id;
        return ContactUs::create([
            'message' => $data['message'],
            'user_id' =>$user_id
        ]);
    }

    public function getAndReadMessage()
    {
        $messages = ContactUs::with('user')->orderBy('is_seen')->get();

        ContactUs::query()->update([
            'is_seen' => true
        ]);

        return $messages;
    }

    public function unseenCount()
    {
        return ContactUs::query()->where('is_seen',false)->count();
    }
}
