<?php

namespace App\Actions;

use App\Models\Province;
use Genocide\Radiocrud\Helpers;
use Genocide\Radiocrud\Services\ActionService\ActionService;

class ProvinceAction extends ActionService
{
    public function __construct()
    {
        $this
            ->setModel(Province::class)
            ->setValidationRules([
                'store' => [
                    'name' => ['required', 'string', 'max:150'],
                    'province_id' => ['required', 'int', 'max:15000'],
                    'big' => ['boolean', 'max:150'],
                ],
                'get_query' => [
                    'search' => ['string', 'max:10'],
                    'country_id' => ['string', 'max:10'],
                ],

            ])
            ->setQueryToEloquentClosures([
                'country_id' => function(&$eloquent, $query)
                {
                    $eloquent = $eloquent->where('country_id', $query['country_id']);
                },
                'search' => function(&$eloquent, $query)
                {
                    $eloquent = $eloquent->where('name', $query['search']);
                }
            ]);

        parent::__construct();
    }

//    public function insert()
//    {
//        $data = '[
//  {
//    "id": 1,
//    "name": "آذربايجان شرقي"
//  },
//  {
//    "id": 2,
//    "name": "اذربايجان غربي"
//  },
//  {
//    "id": 3,
//    "name": "اردبيل"
//  },
//  {
//    "id": 4,
//    "name": "اصفهان"
//  },
//  {
//    "id": 5,
//    "name": "البرز"
//  },
//  {
//    "id": 6,
//    "name": "ايلام"
//  },
//  {
//    "id": 7,
//    "name": "بوشهر"
//  },
//  {
//    "id": 8,
//    "name": "تهران"
//  },
//  {
//    "id": 9,
//    "name": "چهارمحال بختياري"
//  },
//  {
//    "id": 10,
//    "name": "خراسان جنوبي"
//  },
//  {
//    "id": 11,
//    "name": "خراسان رضوي"
//  },
//  {
//    "id": 12,
//    "name": "خراسان شمالي"
//  },
//  {
//    "id": 13,
//    "name": "خوزستان"
//  },
//  {
//    "id": 14,
//    "name": "زنجان"
//  },
//  {
//    "id": 15,
//    "name": "سمنان"
//  },
//  {
//    "id": 16,
//    "name": "سيستان و بلوچستان"
//  },
//  {
//    "id": 17,
//    "name": "فارس"
//  },
//  {
//    "id": 18,
//    "name": "قزوين"
//  },
//  {
//    "id": 19,
//    "name": "قم"
//  },
//  {
//    "id": 20,
//    "name": "كردستان"
//  },
//  {
//    "id": 21,
//    "name": "كرمان"
//  },
//  {
//    "id": 22,
//    "name": "كرمانشاه"
//  },
//  {
//    "id": 23,
//    "name": "كهكيلويه و بويراحمد"
//  },
//  {
//    "id": 24,
//    "name": "گلستان"
//  },
//  {
//    "id": 25,
//    "name": "گيلان"
//  },
//  {
//    "id": 26,
//    "name": "لرستان"
//  },
//  {
//    "id": 27,
//    "name": "مازندران"
//  },
//  {
//    "id": 28,
//    "name": "مركزي"
//  },
//  {
//    "id": 29,
//    "name": "هرمزگان"
//  },
//  {
//    "id": 30,
//    "name": "همدان"
//  },
//  {
//    "id": 31,
//    "name": "يزد"
//  }
//]';
//        $data = json_decode($data, true);
//        foreach ($data As $value)
//        {
//            Province::query()->create([
//                'id' => $value['id'],
//                'name' => Helpers::sanitize($value['name'])
//            ]);
//        }
////        Province::query()->insert($data);
//        return $this;
//    }
}
