<?php

namespace App\Console\Commands;

use App\Models\City;
use App\Services\Sitemap\CitySitemap;
use App\Services\Sitemap\ProductSitemap;
use Carbon\Carbon;
use Elastic\Elasticsearch\Client;
use Elastic\Elasticsearch\ClientBuilder;
use Illuminate\Console\Command;
use Illuminate\Support\Str;
use Spatie\Sitemap\Sitemap;
use Spatie\Sitemap\SitemapIndex;
use Spatie\Sitemap\Tags\Url;


class GenerateSitemap extends Command
{

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'sitemap:generate';
    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate the sitemap.';


    /**
     * @var array < cityId => categoriesName >
     */
    private array $categories = [];

    private Client $client;
    private SitemapIndex $sitemapIndex;


    private function createSitemapDirectory() {
        $path = public_path('sitemap');


        if (!file_exists($path)) {
            mkdir($path, 0775);
        }
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $this->createSitemapDirectory();
        $sitemapIndex = SitemapIndex::create();

        $productSitemap = new ProductSitemap(
            $sitemapIndex
        );

        $productSitemap->generate();

        $categories = $productSitemap->categories;

        $categoriesChunk = array_chunk($this->categories, 200, true);


        $sitemapCity = new CitySitemap($sitemapIndex);

        $categoryCount = 0;
        $cityCount = 0;

        $citySitemap = Sitemap::create();

        foreach ($categoriesChunk as $chunk) {

            array_walk($chunk, function (&$value, $key) {
                $value = array_unique($value);
            });


        }



        $filename = "sitemap/" . 'city-sitemap.xml';
        $businessSitemap->writeToFile($filename);

        $this->sitemapIndex
            ->add($filename);


        $sitemapIndex->writeToFile('sitemap.xml');

    }



}
