<?php

namespace App\Exceptions;

use Genocide\Radiocrud\Exceptions\CustomException;
use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
use Illuminate\Validation\ValidationException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Throwable;

class Handler extends ExceptionHandler
{
    /**
     * A list of exception types with their corresponding custom log levels.
     *
     * @var array<class-string<\Throwable>, \Psr\Log\LogLevel::*>
     */
    protected $levels = [
        //
    ];

    /**
     * A list of the exception types that are not reported.
     *
     * @var array<int, class-string<\Throwable>>
     */
    protected $dontReport = [
        //
    ];

    /**
     * A list of the inputs that are never flashed to the session on validation exceptions.
     *
     * @var array<int, string>
     */
    protected $dontFlash = [
        'current_password',
        'password',
        'password_confirmation',
    ];

    /**
     * Register the exception handling callbacks for the application.
     *
     * @return void
     */
    public function register()
    {
        $this->reportable(function (Throwable $e) {
            //
        });
    }
    public function render($request, Throwable $e)
    {
        if ($e instanceof CustomException)
        {
            return response([
                'success' => false,
                'code' => $e->getCode(),
                'data' => $e->getMoreDetails(),
                'message' =>$e->getMessage()
            ],$e->getHttpCode());
        }
        if ($e instanceof ValidationException)
        {
            return response([
                'success' => false,
                'code' => $e->getCode(),
                'message' =>$e->getMessage()
            ],$e->status);
        }

        if ($e instanceof NotFoundHttpException) {
            return response([
                'success' => false,
                'code' => $e->getStatusCode(),
                'message' =>'The result is not found.'
            ],$e->getStatusCode());
        }

        return parent::render($request, $e);
    }
}
