<?php

namespace App\Exports;

use App\Http\Resources\TransactionResource;
use App\Models\Transaction;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithHeadings;

class TransactionExport implements FromCollection, WithHeadings, ShouldAutoSize
{
    public function headings():array{
        return[
            "Id",
            "first_name",
            "last_name" ,
            "product",
            "price" ,
            "status",
            "promote_type" ,
            "invoice_details" ,
            "payment_id" ,
            "transaction_id" ,
            "transaction_result" ,
            "created_at"
        ];
    }
    /**
    * @return \Illuminate\Http\Resources\Json\AnonymousResourceCollection
     */
    public function collection()
    {
        return TransactionResource::collection(Transaction::all());
    }
}
