<?php

use Carbon\Carbon;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Response;
use Illuminate\Support\Str;

if (!function_exists('successResponse')) {
    function successResponse($data, $message = null): JsonResponse
    {
        if (!$message) {
            $message = trans('success-messages.success_operation');
        }

        return response()->json([
            'success' => true,
            'data' => $data,
            'message' => $message
        ]);
    }
}

if (!function_exists('failedResponse')) {
    function failedResponse($message, $code, $data = null, $status = Response::HTTP_OK): JsonResponse
    {
        $responseData = ['success' => false];
        if ($data)
            $responseData['data'] = $data;

        $responseData['message'] = $message;
        $responseData['code'] = $code;

        return response()->json($responseData, $status);
    }
}

