<?php

namespace App\Http\Controllers;

use App\Actions\CountryAction;
use App\Actions\ProvinceAction;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class CountryController extends Controller
{
    //
    public function get (Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Country List : ',
            'data' => (new CountryAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->getByEloquent()
        ]);
    }
    public function getById (string $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Country : ',
            'data' => (new CountryAction())
                ->setRelations(['provinces'])
                ->makeEloquent()
                ->getById($id)
        ]);
    }
}
