<?php

namespace App\Http\Controllers;

use App\KeyValueConfigs\AboutUsContent;
use App\KeyValueConfigs\PoliceNotice;
use App\KeyValueConfigs\SafePurchase;
use App\KeyValueConfigs\TetherWallet;
use App\Models\Banner;
use Elastic\Elasticsearch\ClientBuilder;
use App\Models\Business;
use App\Models\Footer;
use App\Models\User;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Traits\ElasticFunctions;

class HomeController extends Controller
{


    use ElasticFunctions;

    public function index()
    {
        return view('home');
    }



    public function static_links()
    {
        return [
            'aboutus_link' => "google.com",
            'rules_link' =>"google.com"
        ];
    }

//    public function footer(Request $request)
//    {
//        $validate = Validator::make($request->all(), [
//            'bazaar' => 'nullable',
//            'googleplay' => 'nullable',
//            'appstore' => 'nullable',
//            'sibapp' => 'nullable',
//            'telegram' =>'nullable',
//            'instagram' =>'nullable',
//            'googleplus' =>'nullable',
//            'twitter' =>'nullable',
//            'facebook' =>'nullable',
//            'whatsapp' =>'nullable',
//            'footer_text' =>'nullable',
//            'phone1' =>'nullable',
//            'phone2' =>'nullable',
//            'email' =>'nullable',
//            'nardeban_price' =>'nullable',
//            'fori_price' =>'nullable',
//            'tamdid_price' =>'nullable',
//            'nardeban_text' =>'nullable',
//            'nardeban_text_en' =>'nullable',
//            'fori_text' =>'nullable',
//            'fori_text_en' =>'nullable',
//            'tamdid_text' =>'nullable',
//            'tamdid_text_en' =>'nullable'
//        ]);
//        $data = $request->all();
//        unset($data['admin']);
//        unset($data['id']);
//        if (count($validate->errors()) > 0) {
//            return $validate->errors();
//        } else {
//            Footer::query()->where('id',1)->first()->update($data);
//        }
//    }
//
//
//    public function showFooter(Request $request)
//    {
//        $footer = Footer::first();
//        $filterkeys = ['created_at' , 'updated_at'];
//        $lang = ($request->hasHeader('X-localization')) ? $request->header('X-localization') : env('DEFAULT_LANG');
//        if($lang == 'fa')
//        {
//            unset($footer->nardeban_text_en);
//            unset($footer->fori_text_en);
//            unset($footer->tamdid_text_en);
//            unset($footer->chat_text_en);
//            unset($footer->footer_text_en);
//        }
//        if($lang == 'en'){
//            unset($footer->nardeban_text);
//            unset($footer->fori_text);
//            unset($footer->tamdid_text);
//            unset($footer->chat_text);
//            unset($footer->footer_text);
//        }
//        unset($footer->created_at);
//        unset($footer->updated_at);
//        unset($footer->id);
//        return $footer;
//    }
    public function footer(Request $request) : JsonResponse
    {
        (new \App\KeyValueConfigs\Footer())
            ->setRequest($request)
            ->update_by_request();

        return response()->json([
            'message' => 'updated',
            'success' => true,
        ]);
    }

    public function showFooter (Request $request): JsonResponse
    {
        return response()->json([
            'message' => 'footer : ',
            'success' => true,
            'data' => (new \App\KeyValueConfigs\Footer())
                ->getByRequest($request)
        ]);
    }

    public function about(Request $request) : JsonResponse
    {
        (new AboutUsContent())
            ->setRequest($request)
            ->update_by_request();

        return response()->json([
            'message' => 'updated',
            'success' => true,
        ]);
    }

    public function showAbout (Request $request): JsonResponse
    {
        return response()->json([
            'message' => 'aboutus : ',
            'success' => true,
            'data' => (new AboutUsContent())
                ->getByRequest($request)
        ]);
    }

    public function showPages (Request $request): JsonResponse
    {
        return response()->json([
            'message' => 'Pages : ',
            'success' => true,
            'aboutus' => (new AboutUsContent())
                ->getByRequest($request),
            'police' => (new PoliceNotice())
                ->getByRequest($request),
            'tether_wallet' => (new TetherWallet())
                ->getByRequest($request),
            'purchase' => (new SafePurchase())
                ->getByRequest($request),
            'footer' => (new \App\KeyValueConfigs\Footer())
                ->getByRequest($request)
        ]);
    }

    public function showPagesByKey (Request $request, $key): JsonResponse
    {
        switch ($key)
        {
            case 'footer' : $action = (new \App\KeyValueConfigs\Footer())->getByRequest($request);break;
            case 'aboutus' : $action = (new AboutUsContent())->getByRequest($request);break;
            case 'police' : $action = (new PoliceNotice())->getByRequest($request);break;
            case 'purchase' : $action = (new SafePurchase())->getByRequest($request);break;
            case 'tether_wallet' : $action = (new TetherWallet())->getByRequest($request);break;
        }
        return response()->json([
            'message' => 'Pages : ',
            'success' => true,
            'data' => $action
        ]);
    }

    public function updatePagesByKey (Request $request, $key): JsonResponse
    {
        switch ($key)
        {
            case 'footer' :
                return response()->json([
                    'message' => 'Pages : ',
                    'success' => true,
                    'data' => (new \App\KeyValueConfigs\Footer())
                        ->setRequest($request)
                        ->update_by_request()
                ]);
            case 'aboutus' :
                return response()->json([
                'message' => 'Pages : ',
                'success' => true,
                'data' => (new AboutUsContent())
                    ->setRequest($request)
                    ->update_by_request()
            ]);
            case 'police' :
                return response()->json([
                    'message' => 'Pages : ',
                    'success' => true,
                    'data' => (new PoliceNotice())
                        ->setRequest($request)
                        ->update_by_request()
                ]);
            case 'tether_wallet' :
                return response()->json([
                    'message' => 'Pages : ',
                    'success' => true,
                    'data' => (new TetherWallet())
                        ->setRequest($request)
                        ->update_by_request()
                ]);
            case 'purchase' :
                return response()->json([
                    'message' => 'Pages : ',
                    'success' => true,
                    'data' => (new SafePurchase())
                        ->setRequest($request)
                        ->update_by_request()
                ]);
        }
        return response()->json([
            'message' => 'something went wrong : ',
            'success' => false,
            'data' => null
        ]);
    }

    public function admin_panel()
    {
        $users = User::count();
        $businesses = Business::count();
        $last_users = User::query()->orderBy('id', 'DESC')->limit(10)->get();
        $last_businesses = Business::all()->sortByDesc("created_at")->take(10);
        $params = [
            'index' => 'categories',
            'body' => [
                'query' => [
                    'match_all' => [
                        "boost" => 1.0,
                    ]
                ]
            ]
        ];
        $response = $this->client->search($params);
        $cat_count = $response ['hits']['total']['value'];

        $p_params = [
            'index' => 'products',
            'body' => [
                'query' => [
                    'match_all' => [
                        "boost" => 1.0,
                    ]
                ]
            ]
        ];
        $p_response = $this->client->search($p_params);
        $products_count = $p_response ['hits']['total']['value'];

        $last_params = [
            'index' => 'products',
            'body' => [
                'query' => [
                    'match_all' => [
                        "boost" => 1.0,
                    ]
                ],
                "sort"=> [
                    [
                        "object.created_at"=>[
                            "order"=> "desc",
                            "unmapped_type" => "long"
                        ]
                    ]
                ],
                "size"=> 10
            ]
        ];
        $l_response = $this->client->search($last_params);
        $last_products = $l_response ['hits']['hits'];
        return [
            "users_count" => $users,
            "categories_count" => $cat_count,
            "products_count" => $products_count,
            "businesses_count" => $businesses,
            "last_users" =>  $last_users,
            "last_shops" =>$last_businesses,
            "last_products" => $last_products
        ];

    }

    public function count(Request $request)
    {
        $users = User::all()->count();
        $params = [
            'index' => 'products',
            'body' => [
                'query' => [
                    "match_all" => [
                        "boost" => 1.0,
                    ]
                ]
            ]
        ];
        $p_response = $this->client->search($params);

        $params = [
            'index' => 'categories',
            'body' => [
                'query' => [
                    "match_all" => [
                        "boost" => 1.0,
                    ]
                ]
            ]
        ];
        $c_response = $this->client->search($params);
        $c_response['hits']['total']['value'];
        $businesses = Business::count();

        return [
            "users" => $users,
            "businesses" => $businesses,
            "products" => $p_response['hits']['total']['value'],
            "categories" => $c_response['hits']['total']['value']
        ];
    }


    public function banner(Request $request)
    {
        $banner = Banner::query()->updateOrCreate([
            'business_id' => $request->business_id,
        ],
        [
            'business_id' => $request->business_id,
            'image' => $request->image
        ]);

        return $banner;
    }

    public function getBanner()
    {
        return Banner::query()->with('business')->get();
    }

    public function getBannerById($id)
    {
        return Banner::query()->where('business_id', $id)->with('business')->get();
    }

    public function deleteBanner($id)
    {
        return Banner::query()->where('id',$id)->delete();
    }

    public function fieldFilter(Request $request)
    {
        $users = User::where($request->field , $request->searchText)->paginate();
        return $users;
    }

}
