<?php

namespace App\Http\Controllers;

use App\Actions\WithdrawRequestAction;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class WithdrawRequestController extends Controller
{
    //

    public function get(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Requests List : ',
            'data' => (new WithdrawRequestAction())
                ->setRequest($request)
                ->setValidationRule('get_query')
                ->makeEloquentViaRequest()
                ->getByRequestAndEloquent()
        ]);
    }

    public function changeStatus(Request $request, $id) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Requests List : ',
            'data' => (new WithdrawRequestAction())
                ->setRequest($request)
                ->setValidationRule('change-status')
                ->makeEloquentViaRequest()
                ->changeStatusById($id)
        ]);
    }

    public function newRequest(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Requests List : ',
            'data' => (new WithdrawRequestAction())
                ->setRequest($request)
                ->setValidationRule('new-request')
                ->newRequest($request->header('token'))
        ]);
    }

    public function userWithdrawHistory(Request $request) : JsonResponse
    {
        return response()->json([
            'success' => true,
            'message' => 'Withdraw List : ',
            'data' => (new WithdrawRequestAction())
                ->setRequest($request)
                ->withdrawHistory($request->header('token'))
        ]);
    }
}
