<?php

namespace App\Http\Middleware;

use App\Models\Admin;
use App\Models\Token;
use App\Models\User;
use Closure;
use Illuminate\Http\Request;

class Authenticate
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        $token = Token::query()->where('token', $request->header('token'))->first();
        if(empty($token))
        {
            abort(403, trans('messages.auth_fail'));
        }
        $token = Token::query()->where('token', $request->header('token'))->first();
        if($token && $token->role == "admin"){
            $admin = Admin::find($token->user_id);
            $request->merge(['id' => $token->user_id,'admin'=>$admin]);
            return $next($request);
        }
        $user_status = User::query()
            ->where('id', $token->user_id)
            ->where('status', true)
            ->first()
            ->status ?? false;
        if($user_status){
            $user = User::find($token->user_id);
            $request->merge(['id' => $token->user_id]);
            return $next($request);
        }else{
            abort(403, trans('messages.auth_fail'));
        }
    }
}
