<?php

namespace App\Http\Middleware;

use App\Models\Admin;
use App\Models\Permission;
use App\Models\Role;
use App\Models\Token;
use Closure;
use Illuminate\Http\Request;

class RoleMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next,string $permissionData)
    {
        $token = Token::query()->where('token', $request->header('token'))->first();
        if($token && $token->role == "admin"){
            $admin = Admin::find($token->user_id);
//            $role = Role::query()->where('id', $admin->role_id)->first();
            $permission = Permission::query()->where('key',$permissionData)->first();
            return $permission && $admin->hasPermission($permission) ? $next($request) : abort(403,'Unauthorized');
        }else{
            abort(403, 'You dont have access to this part.');
        }
    }
}
