<?php

namespace App\Http\Middleware;

use App\Models\Admin;
use App\Models\Token;
use App\Models\User;
use Closure;
use Illuminate\Http\Request;

class UserAdminAuthenticate
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $token = Token::query()->where('token', $request->header('token'))->first();
        if($token && $token->role == "admin"){
            $admin = Admin::find($token->user_id);
            $request->merge(['id' => $token->user_id]);
            return $next($request);
        }elseif($token && $token->role == "user") {
            $user = User::find($token->user_id);
            $request->merge(['id' => $token->user_id]);
            return $next($request);
        }else{
            abort(403, 'Authenticate failed.');
        }
    }
}
