<?php

namespace App\KeyValueConfigs;

use Genocide\Radiocrud\Models\KeyValueConfig;
use Genocide\Radiocrud\Services\KeyValueConfigService;

class AboutUsContent extends KeyValueConfigService
{
    protected string $key = 'about_us_content';

    protected array $default_values = [
        'text' => null,
        'text_en' => null
    ];

    protected string|array $validationRule = [
        'text' => ['string', 'max:10000'],
        'text_en' => ['string', 'max:10000']
    ];

//    protected array $casts = [
//        'poster' => ['file']
//    ];


    public function update_by_request()
    {
        $data = $this->request->all();
        unset($data['id'],$data['admin']);
        $this->update($data);
    }

    public function getByRequest($request)
    {
        $data =  parent::get();

        $lang = ($request->hasHeader('X-localization')) ? $request->header('X-localization') : env('DEFAULT_LANG');
        if($lang == 'fa')
        {
//            unset($data['text_en']);
        }
        if($lang == 'en'){
//            unset($data['text']);
        }
        return $data;
    }
}
