<?php

namespace App\KeyValueConfigs;

use Genocide\Radiocrud\Models\KeyValueConfig;
use Genocide\Radiocrud\Services\KeyValueConfigService;

class Footer extends KeyValueConfigService
{
    protected string $key = 'footer';
    protected array $default_values = [
        'bazaar' => null,
        'googleplay' => null,
        'appstore' => null,
        'sibapp' => null,
        'telegram' => null,
        'instagram' => null,
        'googleplus' => null,
        'facebook' => null,
        'twitter' => null,
        'whatsapp' => null,
        'footer_text' => null,
        'footer_text_en' => null,
        'phone1' => null,
        'phone2' => null,
        'email' => null,
        'nardeban_price' => null,
        'fori_price' => null,
        'tamdid_price' => null,
        'nardeban_text' => null,
        'nardeban_text_en' => null,
        'fori_text' => null,
        'fori_text_en' => null,
        'tamdid_text' => null,
        'tamdid_text_en' => null,
    ];

    protected string|array $validationRule = [
        'bazaar' => ['string', 'max:100'],
        'googleplay' => ['string', 'max:100'],
        'appstore' => ['string', 'max:2500'],
        'sibapp' => ['string', 'max:2500'],
        'telegram' => ['string', 'max:15'],
        'instagram' => ['string', 'max:250'],
        'googleplus' => ['string', 'max:250'],
        'facebook' => ['string', 'max:250'],
        'whatsapp' => ['string', 'max:250'],
        'twitter' => ['string', 'max:250'],
        'footer_text' => ['string', 'max:2500'],
        'footer_text_en' => ['string', 'max:2500'],
        'phone1' => ['string', 'max:250'],
        'phone2' => ['string', 'max:250'],
        'email' => ['string', 'max:250'],
        'nardeban_price' => ['string', 'max:250'],
        'fori_price' => ['string', 'max:250'],
        'nardeban_text' => ['string', 'max:250'],
        'nardeban_text_en' => ['string', 'max:250'],
        'tamdid_price' => ['string', 'max:250'],
        'fori_text' => ['string', 'max:250'],
        'fori_text_en' => ['string', 'max:250'],
        'tamdid_text' => ['string', 'max:250'],
        'tamdid_text_en' => ['string', 'max:250']
    ];

    protected array $casts = [
        'poster' => ['file']
    ];

    public function update_by_request()
    {
        $data = $this->request->all();
        unset($data['id'],$data['admin']);
        $this->update($data);
    }

    public function getByRequest($request)
    {
        $data =  parent::get();

        $lang = ($request->hasHeader('X-localization')) ? $request->header('X-localization') : env('DEFAULT_LANG');
        if($lang == 'fa')
        {
//            unset($data['nardeban_text_en']);
//            unset($data['fori_text_en']);
//            unset($data['tamdid_text_en']);
//            unset($data['footer_text_en']);
//            unset($data['footer_text_en']);
        }
        if($lang == 'en'){
//            unset($data['nardeban_text']);
//            unset($data['fori_text']);
//            unset($data['tamdid_text']);
//            unset($data['chat_text']);
//            unset($data['footer_text']);
        }
        return $data;
    }
}
