<?php

namespace App\KeyValueConfigs;

use Genocide\Radiocrud\Models\KeyValueConfig;
use Genocide\Radiocrud\Services\KeyValueConfigService;

class SafePurchase extends KeyValueConfigService
{
    protected string $key = 'safe_purchase';
    protected array $default_values = [
        'title' => null,
        'text' => null
    ];

    protected string|array $validationRule = [
        'title' => ['string', 'max:100'],
        'text' => ['string', 'max:100'],
    ];

    public function update_by_request()
    {
        $data = $this->request->all();
        unset($data['id'],$data['admin']);
        $this->update($data);
    }

    public function getByRequest($request)
    {
        $data =  parent::get();

        $lang = ($request->hasHeader('X-localization')) ? $request->header('X-localization') : env('DEFAULT_LANG');
        if($lang == 'fa')
        {
//            unset($data['nardeban_text_en']);
//            unset($data['fori_text_en']);
//            unset($data['tamdid_text_en']);
//            unset($data['footer_text_en']);
//            unset($data['footer_text_en']);
        }
        if($lang == 'en'){
//            unset($data['nardeban_text']);
//            unset($data['fori_text']);
//            unset($data['tamdid_text']);
//            unset($data['chat_text']);
//            unset($data['footer_text']);
        }
        return $data;
    }
}
