<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * @method static find(mixed $id)
 * @method static where(string $string, $id)
 * @method static firstOrCreate(string $string, $id)
 * @method static create(array $array)
 * @method static make(array $array)
 */
class Business extends Model
{
    use HasFactory;
    protected $fillable = [
        'status',
        'name',
        'last_name',
        'national_code',
        'title',
        'description',
        'address' ,
        'location' ,
        'phone',
        'subCategory',
        'innerCategory',
        'country_code',
        'country_code_tell',
        'telephone',
        'postal_code',
        'logo',
        'business_license',
        'personal_photo',
        'special_post' ,
        'city_id' ,
        'store_photo' ,
        'store_video' ,
        'user_id' ,
        'delivery',
        'category',
        'exactLocation',
        'home_delivery',
        'pay_at_home',
        'shop_at_store',
        'emeil_notification',
        'phone_notification',
        'chat',
        'socials',
        'values',
        'is_special'
    ];



    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function socials()
    {
        return $this->hasOne(BusinessSocial::class);
    }
    public function values()
    {
        return $this->hasOne(BusinessValue::class);
    }
}
