<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Country extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'native',
        'iso3',
        'iso2',
        'phonecode',
        'capital',
        'currency',
        'currency_name',
        'currency_symbol',
        'timezones',
        'latitude',
        'longitude',
    ];

    public $timestamps = false;

    public function provinces()
    {
        return $this->hasMany(Province::class, 'country_id', 'id');
    }
}
