<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Seo extends Model
{
    use HasFactory;

    protected $fillable = [
        'pageable_type',
        'pageable_id',
        'title',
        'description',
        'language',
        'city',
        'country',
        'h1',
        'content'
    ];

    protected function city() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }

    protected function h1() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }

    protected function country() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }

    protected function pageableId() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }

    protected function title() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }

    protected function description() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }

    protected function content() : Attribute
    {
        return Attribute::set(
            fn($value) => (!isset($value) || !in_array($value, ['null', 'undefined', '[object Object]'])) ? $value : null
        );
    }


}
