<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;

class Transaction extends Model
{
    use HasFactory;

    const STATUS_SUCCESS = 2;
    const STATUS_PENDING = 1;
    const STATUS_FAILED = 0;
    protected $guarded = [];

    protected function gateway() : Attribute
    {
        return Attribute::make(
            get : fn($value) => $value ?? 'ZARRINPAL',
            set: fn($value) =>  !!$value ? Str::upper($value) : 'ZARRINPAL'
        );
    }

    public function setInvoiceDetailsAttribute($value)
    {
        $this->attributes['invoice_details'] = serialize($value);
    }

//    public function getTransactionResultAttribute()
//    {
//        return unserialize($this->attributes['transaction_result']);
//    }

//    public function setTransactionResultAttribute($value)
//    {
//        $this->attributes['transaction_result'] = serialize($value);
//    }

    public function getDataAttribute()
    {
        return (object) $this->attributes;
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
