<?php

namespace App\Models;

//use Illuminate\Contracts\Auth\MustVerifyEmail;
//use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

//use Illuminate\Notifications\Notifiable;

/**
 * @method static firstOrCreate(array $array)
 * @method static find(mixed $id)
 * @method static create(array $array)
 * @method static where(string $string, mixed $phone)
 */
class User extends Authenticatable
{
//    use Notifiable;
    use HasApiTokens, HasFactory, Notifiable, SoftDeletes;
    protected $guarded = [];


    public function business()
    {
        return $this->hasOne(Business::class);
    }
    public function messages()
    {
        return $this->belongsToMany(Message::class);
    }
    public function pay()
    {
        return $this->hasMany(Transaction::class);
    }

    public function referrer()
    {
        return $this->belongsTo(Referral::class, 'referrer_id', 'id');
    }

    public function referrals()
    {
        return $this->hasMany(Referral::class, 'referrer_id', 'id');
    }

}
