<?php
namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * @method static where(string $string, $id)
 */
class VerificationCode extends Model
{
    use HasFactory;

    const EXPIRATION_TIME = 2; // minutes
    protected $fillable = [
        'code',
        'user_id',
        'used'
    ];

    public function sendCode()
    {
        try {
            // send code via SMS
        } catch (\Exception $ex) {
            return false; //enable to send SMS
        }
        return true;
    }


    /**
     * True if the veriy_code is not used nor expired
     *
     * @return bool
     */
    public function isValid()
    {
        return !$this->isUsed() && !$this->isExpired();
    }

    /**
     * Is the current veriy_code used
     *
     * @return bool
     */
    public function isUsed()
    {
        return $this->used;
    }

    /**
     * Is the current veriy_code expired
     *
     * @return bool
     */
    public function isExpired()
    {
        return $this->updated_at->diffInMinutes(Carbon::now()) > static::EXPIRATION_TIME;
    }

    /**
     * Generate a six digits code
     *
     * @param int $codeLength
     * @return string
     */


    /**
     * User veriy_code relation
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
