<?php


namespace App\Services\CryptoNetworks;


use Genocide\Radiocrud\Exceptions\CustomException;
use Illuminate\Support\Str;

class CryptoNetwork
{

    public function checkTransaction(string $txId, string $from, string $to, string $amount): bool
    {
        $info = $this->getTokenInfo($txId);


        if ('transfer' !== $info['method']) {
            throw new CustomException(
                'wrong deposited token (the token is not USDT).',
                422,
                422
            );
        }

        if (Str::lower(static::TOKEN_ADDRESS) !== Str::lower($info['contract_address'])) {
            throw new CustomException(
                'wrong deposited token (the token is not USDT).',
                422,
                422
            );
        }

        if (Str::lower($info['to_address']) !== Str::lower($to)) {
            throw new CustomException(
                'The destination address is wrong.',
                422,
                422
            );
        }

        if (Str::lower($info['from_address']) !== Str::lower($from)) {
            throw new CustomException(
                'The origin address is wrong.',
                422,
                422
            );
        }

        if ($info['amount_str'] !== ((string) ($amount * (10 ** static::DECIMALS)))) {
            throw new CustomException(
                'The deposited amount is wrong.',
                422,
                422
            );
        }

        return true;
    }

}
