<?php


namespace App\Services\CryptoNetworks;


use Genocide\Radiocrud\Exceptions\CustomException;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Str;

class TRC20 extends CryptoNetwork
{

    const URL = "https://apilist.tronscanapi.com/api/transaction-info";
    const TOKEN_ADDRESS = "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t";
    const DECIMALS = 6;


    protected function getTokenInfo(string $txId): array
    {

        $response = Http::get(static::URL,
            [
                'hash' => $txId,
            ]
        );

        if (!$response->successful()) {
            throw new CustomException('wrong request');
        }

        $data = $response->json();

        $tokenTransferInfo = $data['tokenTransferInfo'] ?? null;

        if (!$tokenTransferInfo) {
            throw new CustomException('wrong request');
        }

        return $this->tokenInfoResponseMapper($tokenTransferInfo);
    }

    protected function tokenInfoResponseMapper($info)
    {

        return [
            'method' => $info['type'] ?? '',
            'contract_address' => $info['contract_address'] ?? '',
            'to_address' => $info['to_address'] ?? '',
            'amount_str' => $info['amount_str'] ?? '',
            'from_address' => $info['from_address'] ?? '',
        ];
    }

}
