<?php


namespace App\Services\Sitemap;


use Spatie\Sitemap\Tags\Url;

class BusinessSitemap extends SitemapFactory
{

    public function generate()
    {
        \App\Models\Business::query()
            ->chunk($size, function ($businesses) use ($businessSitemap) {

                foreach ($businesses as $business) {
                    $this->sitemap
                        ->add(
                            Url::create('/shop/' . $business->title . '/' . $business->id)
                                ->setChangeFrequency(Url::CHANGE_FREQUENCY_MONTHLY)
                                ->setPriority(0.5)
                        );
                }
            });
    }

}
