<?php


namespace App\Traits;

use Intervention\Image\ImageManagerStatic as Image;

trait ImageUploader
{
    function upload($image, $path, $width, $height)
    {
        $image_name = uniqid() . '.jpg';
        $image_url = 'images/' . $path . '/' . $image_name;
        $image_resize = Image::make($image->getRealPath());
        $image_resize->resize($width, null, function ($constraint) {
            $constraint->aspectRatio();
        });
        if ($height) {
            $canvas = Image::canvas($width, $height);
            $image_resize = $canvas->insert($image_resize, 'center');
        }
        $image_resize->save(storage_path('app/public/' . $image_url));

        return $image_url;
    }
}
