<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('lastname')->nullable();
            $table->bigInteger('phone');
            $table->string('email')->nullable();
            $table->string('address')->nullable();
            $table->string('location')->nullable();
            $table->integer('credit')->nullable();
            $table->string('city')->nullable();
            $table->boolean('status')->default(1);
            $table->string('cc_number')->nullable();
            $table->string('shaba_number')->nullable();
            $table->string('cc_account_name')->nullable();
            $table->string('cvv2')->nullable();
            $table->string('expiration_date')->nullable();
            $table->bigInteger('wallet_amount')->default(0);
            $table->bigInteger('withdrawable_amount')->default(0);
            $table->boolean('notification')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
