<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('businesses', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->on('users')->references('id')->cascadeOnDelete();
            $table->string('national_code');
            $table->string('title');
            $table->text('description');
            $table->string('address');
            $table->json('location');
            $table->boolean('exactLocation')->default(0);
            $table->string('name');
            $table->string('last_name');
            $table->integer('city_id');
            $table->string('category');
            $table->string('subCategory')->nullable();
            $table->string('innerCategory')->nullable();
            $table->string('phone');
            $table->string('telephone');
            $table->string('postal_code')->nullable();
            $table->string('logo')->nullable();
            $table->string('business_license')->nullable();
            $table->string('personal_photo')->nullable();
            $table->json('store_photo');
            $table->boolean('special_post')->default(0);
            $table->boolean('chat')->default(0);
            $table->boolean('delivery')->default(0);
            $table->boolean('home_delivery')->default(0);
            $table->boolean('pay_at_home')->default(0);
            $table->boolean('shop_at_store')->default(0);
            $table->boolean('email_notification')->default(0);
            $table->boolean('phone_notification')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('business');
    }
};
