<?php

declare(strict_types=1);

return [
    'accepted'             => ':attribute muss akzeptiert werden.',
    'accepted_if'          => ':attribute muss akzeptiert werden, wenn :other den Wert :value hat.',
    'active_url'           => ':attribute ist keine gültige URL.',
    'after'                => ':attribute muss ein Datum nach :date sein.',
    'after_or_equal'       => ':attribute muss ein Datum nach oder gleich :date sein.',
    'alpha'                => ':attribute darf nur Buchstaben enthalten.',
    'alpha_dash'           => ':attribute darf nur Buchstaben, Zahlen und Bindestriche enthalten.',
    'alpha_num'            => ':attribute darf nur Buchstaben und Zahlen enthalten.',
    'array'                => ':attribute muss ein Array sein.',
    'ascii'                => ':attribute darf nur aus einzelnen alphanumerischen Zeichen und Symbolen bestehen.',
    'before'               => ':attribute muss ein Datum vor :date sein.',
    'before_or_equal'      => ':attribute muss ein Datum vor oder gleich :date sein.',
    'between'              => [
        'array'   => ':attribute muss zwischen :min und :max Elemente enthalten.',
        'file'    => ':attribute muss zwischen :min und :max Kilobytes groß sein.',
        'numeric' => ':attribute muss zwischen :min und :max liegen.',
        'string'  => ':attribute muss zwischen :min und :max Zeichen lang sein.',
    ],
    'boolean'              => ':attribute muss wahr oder falsch sein.',
    'confirmed'            => 'Die Bestätigung für :attribute stimmt nicht überein.',
    'current_password'     => 'Das Passwort ist falsch.',
    'date'                 => ':attribute ist kein gültiges Datum.',
    'date_equals'          => ':attribute muss ein Datum sein, das dem :date entspricht.',
    'date_format'          => ':attribute entspricht nicht dem Format :format.',
    'decimal'              => ':attribute muss :decimal Dezimalstellen haben.',
    'declined'             => ':attribute muss abgelehnt werden.',
    'declined_if'          => ':attribute muss abgelehnt werden, wenn :other den Wert :value hat.',
    'different'            => ':attribute und :other müssen unterschiedlich sein.',
    'digits'               => ':attribute muss :digits Ziffern enthalten.',
    'digits_between'       => ':attribute muss zwischen :min und :max Ziffern enthalten.',
    'dimensions'           => ':attribute hat ungültige Bildabmessungen.',
    'distinct'             => 'Das Feld :attribute hat einen doppelten Wert.',
    'doesnt_end_with'      => ':attribute darf nicht mit einer der folgenden Zeichenfolgen enden: :values.',
    'doesnt_start_with'    => ':attribute darf nicht mit einer der folgenden Zeichenfolgen beginnen: :values.',
    'email'                => ':attribute muss eine gültige E-Mail-Adresse sein.',
    'ends_with'            => ':attribute muss mit einer der folgenden Zeichenfolgen enden: :values.',
    'enum'                 => 'Die ausgewählte Option für :attribute ist ungültig.',
    'exists'               => 'Die ausgewählte Option für :attribute ist ungültig.',
    'file'                 => ':attribute muss eine Datei sein.',
    'filled'               => 'Das Feld :attribute ist erforderlich.',
    'gt'                   => [
        'array'   => ':attribute muss mehr als :value Elemente enthalten.',
        'file'    => ':attribute muss größer als :value Kilobytes sein.',
        'numeric' => ':attribute muss größer als :value sein.',
        'string'  => ':attribute muss mehr als :value Zeichen lang sein.',
    ],
    'gte'                  => [
        'array'   => ':attribute muss :value Elemente oder mehr enthalten.',
        'file'    => ':attribute muss größer oder gleich :value Kilobytes sein.',
        'numeric' => ':attribute muss größer oder gleich :value sein.',
        'string'  => ':attribute muss größer oder gleich :value Zeichen lang sein.',
    ],
    'image'                => ':attribute muss ein Bild sein.',
    'in'                   => 'Die ausgewählte Option für :attribute ist ungültig.',
    'in_array'             => 'Das Feld :attribute existiert nicht in :other.',
    'integer'              => ':attribute muss eine ganze Zahl sein.',
    'ip'                   => ':attribute muss eine gültige IP-Adresse sein.',
    'ipv4'                 => ':attribute muss eine gültige IPv4-Adresse sein.',
    'ipv6'                 => ':attribute muss eine gültige IPv6-Adresse sein.',
    'json'                 => ':attribute muss eine gültige JSON-Zeichenfolge sein.',
    'lowercase'            => ':attribute muss kleinbuchstaben sein.',
    'lt'                   => [
        'array'   => ':attribute muss weniger als :value Elemente enthalten.',
        'file'    => ':attribute muss kleiner als :value Kilobytes sein.',
        'numeric' => ':attribute muss kleiner als :value sein.',
        'string'  => ':attribute muss weniger als :value Zeichen lang sein.',
    ],
    'lte'                  => [
        'array'   => ':attribute darf nicht mehr als :value Elemente enthalten.',
        'file'    => ':attribute muss kleiner oder gleich :value Kilobytes sein.',
        'numeric' => ':attribute muss kleiner oder gleich :value sein.',
        'string'  => ':attribute muss kleiner oder gleich :value Zeichen lang sein.',
    ],
    'mac_address'          => ':attribute muss eine gültige MAC-Adresse sein.',
    'max'                  => [
        'array'   => ':attribute darf nicht mehr als :max Elemente enthalten.',
        'file'    => ':attribute darf nicht größer als :max Kilobytes sein.',
        'numeric' => ':attribute darf nicht größer als :max sein.',
        'string'  => ':attribute darf nicht länger als :max Zeichen sein.',
    ],
    'max_digits'           => ':attribute darf nicht mehr als :max Ziffern enthalten.',
    'mimes'                => ':attribute muss eine Datei des Typs sein: :values.',
    'mimetypes'            => ':attribute muss eine Datei des Typs sein: :values.',
    'min'                  => [
        'array'   => ':attribute muss mindestens :min Elemente enthalten.',
        'file'    => ':attribute muss mindestens :min Kilobytes groß sein.',
        'numeric' => ':attribute muss mindestens :min sein.',
        'string'  => ':attribute muss mindestens :min Zeichen lang sein.',
    ],
    'min_digits'           => ':attribute muss mindestens :min Ziffern enthalten.',
    'missing'              => 'Das Feld :attribute muss fehlen.',
    'missing_if'           => 'Das Feld :attribute muss fehlen, wenn :other den Wert :value hat.',
    'missing_unless'       => 'Das Feld :attribute muss fehlen, es sei denn, :other ist in :values.',
    'missing_with'         => 'Das Feld :attribute muss fehlen, wenn :values vorhanden ist.',
    'missing_with_all'     => 'Das Feld :attribute muss fehlen, wenn :values vorhanden ist.',
    'multiple_of'          => ':attribute muss ein Vielfaches von :value sein.',
    'not_in'               => 'Die ausgewählte Option für :attribute ist ungültig.',
    'not_regex'            => 'Das Format von :attribute ist ungültig.',
    'numeric'              => ':attribute muss eine Zahl sein.',
    'password'             => [
        'letters'       => ':attribute muss mindestens einen Buchstaben enthalten.',
        'mixed'         => ':attribute muss mindestens einen Großbuchstaben und einen Kleinbuchstaben enthalten.',
        'numbers'       => ':attribute muss mindestens eine Zahl enthalten.',
        'symbols'       => ':attribute muss mindestens ein Symbol enthalten.',
        'uncompromised' => ':attribute wurde in einem Datenleck gefunden. Bitte wählen Sie ein anderes :attribute.',
    ],
    'present'              => ':attribute muss vorhanden sein.',
    'prohibited'           => ':attribute Feld ist nicht erlaubt.',
    'prohibited_if'        => ':attribute Feld ist nicht erlaubt, wenn :other den Wert :value hat.',
    'prohibited_unless'    => ':attribute Feld ist nicht erlaubt, es sei denn, :other ist in :values.',
    'prohibits'            => ':attribute Feld verbietet, dass :other vorhanden ist.',
    'regex'                => 'Das Format von :attribute ist ungültig.',
    'required'             => ':attribute Feld ist erforderlich.',
    'required_array_keys'  => ':attribute Feld muss Einträge für folgende Werte enthalten: :values.',
    'required_if'          => ':attribute Feld ist erforderlich, wenn :other den Wert :value hat.',
    'required_if_accepted' => ':attribute Feld ist erforderlich, wenn :other akzeptiert wird.',
    'required_unless'      => ':attribute Feld ist erforderlich, es sei denn, :other ist in :values.',
    'required_with'        => ':attribute Feld ist erforderlich, wenn :values vorhanden ist.',
    'required_with_all'    => ':attribute Feld ist erforderlich, wenn :values vorhanden ist.',
    'required_without'     => ':attribute Feld ist erforderlich, wenn :values nicht vorhanden ist.',
    'required_without_all' => ':attribute Feld ist erforderlich, wenn keine der :values vorhanden ist.',
    'same'                 => ':attribute und :other müssen übereinstimmen.',
    'size'                 => [
        'array'   => ':attribute muss :size Elemente enthalten.',
        'file'    => ':attribute muss :size Kilobytes groß sein.',
        'numeric' => ':attribute muss :size sein.',
        'string'  => ':attribute muss :size Zeichen lang sein.',
    ],
    'starts_with'          => ':attribute muss mit einer der folgenden Zeichenfolgen beginnen: :values',
    'string'               => ':attribute muss eine Zeichenfolge sein.',
    'timezone'             => ':attribute muss eine gültige Zeitzone sein.',
    'ulid'                 => ':attribute muss eine gültige ULID sein.',
    'unique'               => ':attribute ist bereits vergeben.',
    'uploaded'             => 'Fehler beim Hochladen von :attribute.',
    'uppercase'            => ':attribute muss großbuchstaben sein.',
    'url'                  => ':attribute Format ist ungültig.',
    'uuid'                 => ':attribute muss eine gültige UUID sein.',
    'step'                 => ':attribute muss ein Schritt von :step sein.',
    'attributes'           => [
        'address'                  => 'Adresse',
        'age'                      => 'Alter',
        'amount'                   => 'Menge',
        'area'                     => 'Bereich',
        'available'                => 'verfügbar',
        'birthday'                 => 'Geburtstag',
        'body'                     => 'Körper',
        'city'                     => 'Stadt',
        'content'                  => 'Inhalt',
        'country'                  => 'Land',
        'created_at'               => 'hergestellt in',
        'creator'                  => 'Schöpferin',
        'current_password'         => 'Aktuelles Passwort',
        'date'                     => 'Datum',
        'date_of_birth'            => 'Geburtsdatum',
        'day'                      => 'Tag',
        'deleted_at'               => 'gelöscht bei',
        'description'              => 'Beschreibung',
        'district'                 => 'Bezirk',
        'duration'                 => 'Dauer',
        'email'                    => 'Email',
        'excerpt'                  => 'Auszug',
        'filter'                   => 'Filter',
        'first_name'               => 'Vorname',
        'gender'                   => 'Geschlecht',
        'group'                    => 'Gruppe',
        'hour'                     => 'Stunde',
        'image'                    => 'Bild',
        'last_name'                => 'Familienname, Nachname',
        'lesson'                   => 'Lektion',
        'line_address_1'           => 'Zeilenadresse 1',
        'line_address_2'           => 'Zeilenadresse 2',
        'message'                  => 'Nachricht',
        'middle_name'              => 'zweiter Vorname',
        'minute'                   => 'Minute',
        'mobile'                   => 'Handy, Mobiltelefon',
        'month'                    => 'Monat',
        'name'                     => 'Name',
        'national_code'            => 'Nationaler Kodex',
        'number'                   => 'Nummer',
        'password'                 => 'Passwort',
        'password_confirmation'    => 'Passwort Bestätigung',
        'phone'                    => 'Telefon',
        'photo'                    => 'Foto',
        'postal_code'              => 'Postleitzahl',
        'price'                    => 'Preis',
        'province'                 => 'Provinz',
        'recaptcha_response_field' => 'Recaptcha -Antwortfeld',
        'remember'                 => 'erinnern',
        'restored_at'              => 'restauriert bei',
        'result_text_under_image'  => 'Ergebnistext unter Bild',
        'role'                     => 'Rolle',
        'second'                   => 'zweite',
        'sex'                      => 'Sex',
        'short_text'               => 'kurzer Text',
        'size'                     => 'Größe',
        'state'                    => 'Zustand',
        'street'                   => 'Straße',
        'student'                  => 'Studentin',
        'subject'                  => 'Thema',
        'teacher'                  => 'Lehrerin',
        'terms'                    => 'Bedingungen',
        'test_description'         => 'Testbeschreibung',
        'test_locale'              => 'Testgebietsschema',
        'test_name'                => 'Testname',
        'text'                     => 'Text',
        'time'                     => 'Zeit',
        'title'                    => 'Titel',
        'updated_at'               => 'aktualisiert am',
        'username'                 => 'Nutzername',
        'year'                     => 'Jahr',
        'info'                     => 'die Info',
        'application'                     => 'Anwendung',
        'business'                     => 'Geschäft',
    ],
];
