<?php

declare(strict_types=1);

return [
    'accepted'             => 'فیلد :attribute باید پذیرفته شود.',
    'accepted_if'          => 'فیلد :attribute باید پذیرفته شود وقتی که :other برابر با :value است.',
    'active_url'           => 'فیلد :attribute یک URL معتبر نیست.',
    'after'                => 'فیلد :attribute باید تاریخی بعد از :date باشد.',
    'after_or_equal'       => 'فیلد :attribute باید تاریخی بعد از یا برابر با :date باشد.',
    'alpha'                => 'فیلد :attribute فقط می‌تواند شامل حروف باشد.',
    'alpha_dash'           => 'فیلد :attribute فقط می‌تواند شامل حروف، اعداد و خط تیره باشد.',
    'alpha_num'            => 'فیلد :attribute فقط می‌تواند شامل حروف و اعداد باشد.',
    'array'                => 'فیلد :attribute باید یک آرایه باشد.',
    'ascii'                => 'فیلد :attribute باید تنها شامل کاراکترهای الفبای انگلیسی و علائم باشد.',
    'before'               => 'فیلد :attribute باید تاریخی قبل از :date باشد.',
    'before_or_equal'      => 'فیلد :attribute باید تاریخی قبل از یا برابر با :date باشد.',
    'between'              => [
        'array'   => 'فیلد :attribute باید بین :min و :max آیتم داشته باشد.',
        'file'    => 'فیلد :attribute باید بین :min و :max کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید بین :min و :max باشد.',
        'string'  => 'فیلد :attribute باید بین :min و :max کاراکتر داشته باشد.',
    ],
    'boolean'              => 'فیلد :attribute باید true یا false باشد.',
    'confirmed'            => 'تأییدیه فیلد :attribute مطابقت ندارد.',
    'current_password'     => 'گذرواژه اشتباه است.',
    'date'                 => 'فیلد :attribute یک تاریخ معتبر نیست.',
    'date_equals'          => 'فیلد :attribute باید تاریخی برابر با :date باشد.',
    'date_format'          => 'فرمت فیلد :attribute با :format مطابقت ندارد.',
    'decimal'              => 'فیلد :attribute باید :decimal اعشار داشته باشد.',
    'declined'             => 'فیلد :attribute باید رد شود.',
    'declined_if'          => 'فیلد :attribute باید رد شود وقتی که :other برابر با :value است.',
    'different'            => 'فیلد :attribute و :other باید متفاوت باشند.',
    'digits'               => 'فیلد :attribute باید :digits رقمی باشد.',
    'digits_between'       => 'فیلد :attribute باید بین :min و :max رقمی باشد.',
    'dimensions'           => 'فیلد :attribute ابعاد تصویر معتبر ندارد.',
    'distinct'             => 'فیلد :attribute دارای مقدار تکراری است.',
    'doesnt_end_with'      => 'فیلد :attribute نباید با هر یک از مقادیر زیر پایان یابد: :values.',
    'doesnt_start_with'    => 'فیلد :attribute نباید با هر یک از مقادیر زیر شروع شود: :values.',
    'email'                => 'فیلد :attribute باید یک آدرس ایمیل معتبر باشد.',
    'ends_with'            => 'فیلد :attribute باید با یکی از مقادیر زیر پایان یابد: :values.',
    'enum'                 => 'مقدار انتخاب شده برای :attribute نامعتبر است.',
    'exists'               => ':attribute انتخاب شده نامعتبر است.',
    'file'                 => 'فیلد :attribute باید یک فایل باشد.',
    'filled'               => 'فیلد :attribute باید مقدار داشته باشد.',
    'gt'                   => [
        'array'   => 'فیلد :attribute باید بیشتر از :value آیتم داشته باشد.',
        'file'    => 'فیلد :attribute باید بزرگتر از :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید بزرگتر از :value باشد.',
        'string'  => 'فیلد :attribute باید بیشتر از :value کاراکتر داشته باشد.',
    ],
    'gte'                  => [
        'array'   => 'فیلد :attribute باید شامل :value یا بیشتر آیتم باشد.',
        'file'    => 'فیلد :attribute باید بزرگتر یا مساوی :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید بزرگتر یا مساوی :value باشد.',
        'string'  => 'فیلد :attribute باید بزرگتر یا مساوی :value کاراکتر داشته باشد.',
    ],
    'image'                => 'فیلد :attribute باید یک تصویر باشد.',
    'in'                   => ':attribute انتخاب شده نامعتبر است.',
    'in_array'             => 'فیلد :attribute در :other وجود ندارد.',
    'integer'              => 'فیلد :attribute باید یک عدد صحیح باشد.',
    'ip'                   => 'فیلد :attribute باید یک آدرس IP معتبر باشد.',
    'ipv4'                 => 'فیلد :attribute باید یک آدرس IPv4 معتبر باشد.',
    'ipv6'                 => 'فیلد :attribute باید یک آدرس IPv6 معتبر باشد.',
    'json'                 => 'فیلد :attribute باید یک رشته JSON معتبر باشد.',
    'lowercase'            => 'فیلد :attribute باید با حروف کوچک نوشته شود.',
    'lt'                   => [
        'array'   => 'فیلد :attribute باید کمتر از :value آیتم داشته باشد.',
        'file'    => 'فیلد :attribute باید کوچکتر از :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید کمتر از :value باشد.',
        'string'  => 'فیلد :attribute باید کمتر از :value کاراکتر داشته باشد.',
    ],
    'lte'                  => [
        'array'   => 'فیلد :attribute نباید بیشتر از :value آیتم داشته باشد.',
        'file'    => 'فیلد :attribute باید کوچکتر یا مساوی :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید کمتر یا مساوی :value باشد.',
        'string'  => 'فیلد :attribute باید کمتر یا مساوی :value کاراکتر داشته باشد.',
    ],
    'mac_address'          => 'فیلد :attribute باید یک آدرس MAC معتبر باشد.',
    'max'                  => [
        'array'   => 'فیلد :attribute نباید بیشتر از :max آیتم داشته باشد.',
        'file'    => 'فیلد :attribute نباید بزرگتر از :max کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute نباید بزرگتر از :max باشد.',
        'string'  => 'فیلد :attribute نباید بزرگتر از :max کاراکتر داشته باشد.',
    ],
    'max_digits'           => 'فیلد :attribute نباید بیشتر از :max رقمی باشد.',
    'mimes'                => 'فیلد :attribute باید یک فایل از نوع :values باشد.',
    'mimetypes'            => 'فیلد :attribute باید یک فایل از نوع :values باشد.',
    'min'                  => [
        'array'   => 'فیلد :attribute باید حداقل شامل :min آیتم باشد.',
        'file'    => 'فیلد :attribute باید حداقل :min کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید حداقل :min باشد.',
        'string'  => 'فیلد :attribute باید حداقل :min کاراکتر داشته باشد.',
    ],
    'min_digits'           => 'فیلد :attribute باید حداقل شامل :min رقم باشد.',
    'missing'              => 'فیلد :attribute باید خالی باشد.',
    'missing_if'           => 'فیلد :attribute باید خالی باشد وقتی که :other برابر با :value است.',
    'missing_unless'       => 'فیلد :attribute باید خالی باشد مگر اینکه :other برابر با :value است.',
    'missing_with'         => 'فیلد :attribute باید خالی باشد وقتی که :values وجود دارد.',
    'missing_with_all'     => 'فیلد :attribute باید خالی باشد وقتی که :values وجود دارد.',
    'multiple_of'          => 'فیلد :attribute باید مضربی از :value باشد.',
    'not_in'               => ':attribute انتخاب شده نامعتبر است.',
    'not_regex'            => 'فرمت :attribute نامعتبر است.',
    'numeric'              => 'فیلد :attribute باید یک عدد باشد.',
    'password'             => [
        'letters'       => 'فیلد :attribute باید شامل حداقل یک حرف باشد.',
        'mixed'         => 'فیلد :attribute باید شامل حداقل یک حرف بزرگ و یک حرف کوچک باشد.',
        'numbers'       => 'فیلد :attribute باید شامل حداقل یک عدد باشد.',
        'symbols'       => 'فیلد :attribute باید شامل حداقل یک علامت باشد.',
        'uncompromised' => 'فیلد :attribute در یک نشت داده ظاهر شده است. لطفاً یک :attribute دیگر انتخاب کنید.',
    ],
    'present'              => 'فیلد :attribute باید وجود داشته باشد.',
    'prohibited'           => 'فیلد :attribute ممنوع است.',
    'prohibited_if'        => 'فیلد :attribute ممنوع است وقتی که :other برابر با :value است.',
    'prohibited_unless'    => 'فیلد :attribute ممنوع است مگر اینکه :other در :values وجود داشته باشد.',
    'prohibits'            => 'فیلد :attribute ممنوع می‌کند که :other وجود داشته باشد.',
    'regex'                => 'فرمت :attribute نامعتبر است.',
    'required'             => 'فیلد :attribute مورد نیاز است.',
    'required_array_keys'  => 'فیلد :attribute باید حاوی مقادیر :values باشد.',
    'required_if'          => 'فیلد :attribute مورد نیاز است وقتی که :other برابر با :value است.',
    'required_if_accepted' => 'فیلد :attribute مورد نیاز است وقتی که :other پذیرفته شده است.',
    'required_unless'      => 'فیلد :attribute مورد نیاز است مگر اینکه :other در :values وجود داشته باشد.',
    'required_with'        => 'فیلد :attribute مورد نیاز است وقتی که :values وجود دارد.',
    'required_with_all'    => 'فیلد :attribute مورد نیاز است وقتی که :values وجود دارد.',
    'required_without'     => 'فیلد :attribute مورد نیاز است وقتی که :values وجود ندارد.',
    'required_without_all' => 'فیلد :attribute مورد نیاز است وقتی که :values وجود ندارد.',
    'same'                 => 'فیلد :attribute و :other باید مطابقت داشته باشند.',
    'size'                 => [
        'array'   => 'فیلد :attribute باید شامل :size آیتم باشد.',
        'file'    => 'فیلد :attribute باید :size کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید :size باشد.',
        'string'  => 'فیلد :attribute باید :size کاراکتر داشته باشد.',
    ],
    'starts_with'          => 'فیلد :attribute باید با یکی از مقادیر زیر شروع شود: :values',
    'string'               => 'فیلد :attribute باید یک رشته باشد.',
    'timezone'             => 'فیلد :attribute باید یک منطقه زمانی معتبر باشد.',
    'ulid'                 => 'فیلد :attribute باید یک ULID معتبر باشد.',
    'unique'               => 'فیلد :attribute قبلاً استفاده شده است.',
    'uploaded'             => 'آپلود :attribute انجام نشد.',
    'uppercase'            => 'فیلد :attribute باید با حروف بزرگ نوشته شود.',
    'url'                  => 'فرمت :attribute نامعتبر است.',
    'uuid'                 => 'فیلد :attribute باید یک UUID معتبر باشد.',
    'step'                 => 'فیلد :attribute باید یک مرحله :step باشد.',
'attributes'           => [
        'address'                  => 'نشانی',
        'age'                      => 'سن',
        'amount'                   => 'میزان',
        'area'                     => 'حوزه',
        'available'                => 'در دسترس',
        'birthday'                 => 'روز تولد',
        'body'                     => 'بدنه',
        'city'                     => 'شهر',
        'content'                  => 'محتوا',
        'country'                  => 'کشور',
        'created_at'               => 'ایجاد شده در',
        'creator'                  => 'ایجاد کننده',
        'current_password'         => 'رمز عبور فعلی',
        'date'                     => 'تاریخ',
        'date_of_birth'            => 'تاریخ تولد',
        'day'                      => 'روز',
        'deleted_at'               => 'حذف شده در',
        'description'              => 'شرح',
        'district'                 => 'ناحیه',
        'duration'                 => 'مدت زمان',
        'email'                    => 'پست الکترونیک',
        'excerpt'                  => 'گزیده',
        'filter'                   => 'فیلتر کردن',
        'first_name'               => 'نام کوچک',
        'gender'                   => 'جنس',
        'group'                    => 'گروه',
        'hour'                     => 'یک ساعت',
        'image'                    => 'تصویر',
        'last_name'                => 'نام خانوادگی',
        'lesson'                   => 'درس',
        'line_address_1'           => 'آدرس خط 1',
        'line_address_2'           => 'آدرس خط 2',
        'message'                  => 'پیام',
        'middle_name'              => 'نام میانی',
        'minute'                   => 'دقیقه',
        'mobile'                   => 'سیار',
        'month'                    => 'ماه',
        'name'                     => 'نام',
        'national_code'            => 'کد ملی',
        'number'                   => 'عدد',
        'password'                 => 'کلمه عبور',
        'password_confirmation'    => 'تایید رمز عبور',
        'phone'                    => 'تلفن',
        'photo'                    => 'عکس',
        'postal_code'              => 'کد پستی',
        'price'                    => 'قیمت',
        'province'                 => 'استان',
        'recaptcha_response_field' => 'میدان پاسخ recaptcha',
        'remember'                 => 'یاد آوردن',
        'restored_at'              => 'ترمیم شده در',
        'result_text_under_image'  => 'متن نتیجه تحت تصویر',
        'role'                     => 'نقش',
        'second'                   => 'دومین',
        'sex'                      => 'ارتباط جنسی',
        'short_text'               => 'متن کوتاه',
        'size'                     => 'اندازه',
        'state'                    => 'حالت',
        'street'                   => 'خیابان',
        'student'                  => 'دانشجو',
        'subject'                  => 'موضوع',
        'teacher'                  => 'معلم',
        'terms'                    => 'مقررات',
        'test_description'         => 'شرح آزمون',
        'test_locale'              => 'محل تست',
        'test_name'                => 'نام تست',
        'text'                     => 'متن',
        'time'                     => 'زمان',
        'title'                    => 'عنوان',
        'updated_at'               => 'به روز شده در',
        'username'                 => 'نام کاربری',
        'year'                     => 'سال',
        'info'                     => 'اطلاعات',
        'application'                     => 'کاربرد',
        'business'                     => 'کسب و کار',
    ],
];
