<?php

declare(strict_types=1);

return [
    'accepted'             => ':attribute को स्वीकार किया जाना चाहिए।',
    'accepted_if'          => ':attribute को स्वीकार किया जाना चाहिए, जब :other में :value हो।',
    'active_url'           => ':attribute एक वैध URL नहीं है।',
    'after'                => ':attribute :date के बाद की तारीख होनी चाहिए।',
    'after_or_equal'       => ':attribute :date के बाद या उसके समान होनी चाहिए।',
    'alpha'                => ':attribute में केवल अक्षर हो सकते हैं।',
    'alpha_dash'           => ':attribute में केवल अक्षर, संख्या और डैश हो सकते हैं।',
    'alpha_num'            => ':attribute में केवल अक्षर और संख्या हो सकते हैं।',
    'array'                => ':attribute एक एरे होना चाहिए।',
    'ascii'                => ':attribute केवल एकल बाइट अक्षरमाला और प्रतीक हो सकते हैं।',
    'before'               => ':attribute :date के पहले की तारीख होनी चाहिए।',
    'before_or_equal'      => ':attribute :date के पहले या उसके समान होनी चाहिए।',
    'between'              => [
        'array'   => ':attribute में :min और :max आइटम होने चाहिए।',
        'file'    => ':attribute :min और :max किलोबाइट के बीच होना चाहिए।',
        'numeric' => ':attribute :min और :max के बीच होना चाहिए।',
        'string'  => ':attribute :min और :max वर्णों के बीच होना चाहिए।',
    ],
    'boolean'              => ':attribute फील्ड सही या गलत होना चाहिए।',
    'confirmed'            => ':attribute पुष्टि मेल नहीं खाती।',
    'current_password'     => 'वर्तमान पासवर्ड गलत है।',
    'date'                 => ':attribute एक वैध तारीख नहीं है।',
    'date_equals'          => ':attribute :date के बराबर एक तारीख होनी चाहिए।',
    'date_format'          => ':attribute :format प्रारूप से मेल नहीं खाता।',
    'decimal'              => ':attribute को दशमलव स्थान होना चाहिए।',
    'declined'             => ':attribute को अस्वीकार किया जाना चाहिए।',
    'declined_if'          => ':attribute को अस्वीकार किया जाना चाहिए, जब :other में :value हो।',
    'different'            => ':attribute और :other अलग होने चाहिए।',
    'digits'               => ':attribute :digits अंक होने चाहिए।',
    'digits_between'       => ':attribute :min और :max अंकों के बीच होना चाहिए।',
    'dimensions'           => ':attribute अमान्य छवि आयाम हैं।',
    'distinct'             => 'फ़ील्ड :attribute का एक डुप्लिकेट मूल्य है।',
    'doesnt_end_with'      => ':attribute निम्नलिखित में से किसी भी स्ट्रिंग से समाप्त नहीं हो सकता: :values।',
    'doesnt_start_with'    => ':attribute निम्नलिखित में से किसी भी स्ट्रिंग से आरंभ नहीं हो सकता: :values।',
    'email'                => ':attribute एक मान्य ईमेल पता होना चाहिए।',
    'ends_with'            => ':attribute निम्नलिखित में से किसी भी स्ट्रिंग से समाप्त होना चाहिए: :values।',
    'enum'                 => 'चयनित :attribute अमान्य है।',
    'exists'               => 'चयनित :attribute अमान्य है।',
    'file'                 => ':attribute एक फ़ाइल होनी चाहिए।',
    'filled'               => ':attribute फ़ील्ड आवश्यक है।',
    'gt'                   => [
        'array'   => ':attribute में :value से अधिक आइटम होने चाहिए।',
        'file'    => ':attribute :value किलोबाइट से अधिक होना चाहिए।',
        'numeric' => ':attribute :value से अधिक होना चाहिए।',
        'string'  => ':attribute :value वर्ण से अधिक होना चाहिए।',
    ],
    'gte'                  => [
        'array'   => ':attribute में :value आइटम या उससे अधिक होने चाहिए।',
        'file'    => ':attribute :value किलोबाइट से अधिक या उससे बराबर होना चाहिए।',
        'numeric' => ':attribute :value से अधिक या उससे बराबर होना चाहिए।',
        'string'  => ':attribute :value वर्ण से अधिक या उससे बराबर होना चाहिए।',
    ],
    'image'                => ':attribute एक छवि होनी चाहिए।',
    'in'                   => 'चयनित :attribute अमान्य है।',
    'in_array'             => ':attribute फ़ील्ड :other में मौजूद नहीं है।',
    'integer'              => ':attribute एक पूर्णांक होना चाहिए।',
    'ip'                   => ':attribute एक मान्य IP पता होना चाहिए।',
    'ipv4'                 => ':attribute एक मान्य IPv4 पता होना चाहिए।',
    'ipv6'                 => ':attribute एक मान्य IPv6 पता होना चाहिए।',
    'json'                 => ':attribute एक मान्य JSON स्ट्रिंग होनी चाहिए।',
    'lowercase'            => ':attribute को छोटे अक्षर में होना चाहिए।',
    'lt'                   => [
        'array'   => ':attribute में :value से कम आइटम होने चाहिए।',
        'file'    => ':attribute :value किलोबाइट से कम होना चाहिए।',
        'numeric' => ':attribute :value से कम होना चाहिए।',
        'string'  => ':attribute :value वर्ण से कम होना चाहिए।',
    ],
    'lte'                  => [
        'array'   => ':attribute में :value से अधिक आइटम नहीं होने चाहिए।',
        'file'    => ':attribute :value किलोबाइट से कम या उससे बराबर होना चाहिए।',
        'numeric' => ':attribute :value से कम या उससे बराबर होना चाहिए।',
        'string'  => ':attribute :value वर्ण से कम या उससे बराबर होना चाहिए।',
    ],
    'mac_address'          => ':attribute एक मान्य MAC पता होना चाहिए।',
    'max'                  => [
        'array'   => ':attribute में :max से अधिक आइटम नहीं होने चाहिए।',
        'file'    => ':attribute :max किलोबाइट से अधिक नहीं होना चाहिए।',
        'numeric' => ':attribute :max से अधिक नहीं होना चाहिए।',
        'string'  => ':attribute :max वर्ण से अधिक नहीं होना चाहिए।',
    ],
    'max_digits'           => ':attribute :max अंक से अधिक नहीं होना चाहिए।',
    'mimes'                => ':attribute एक प्रकार की फ़ाइल होनी चाहिए: :values।',
    'mimetypes'            => ':attribute एक प्रकार की फ़ाइल होनी चाहिए: :values।',
    'min'                  => [
        'array'   => ':attribute में कम से कम :min आइटम होने चाहिए।',
        'file'    => ':attribute कम से कम :min किलोबाइट का होना चाहिए।',
        'numeric' => ':attribute कम से कम :min होना चाहिए।',
        'string'  => ':attribute कम से कम :min वर्ण होने चाहिए।',
    ],
    'min_digits'           => ':attribute कम से कम :min अंक होने चाहिए।',
    'missing'              => ':attribute फ़ील्ड अनुपलब्ध होना चाहिए।',
    'missing_if'           => ':attribute फ़ील्ड अनुपलब्ध होना चाहिए, जब :other में :value हो।',
    'missing_unless'       => ':attribute फ़ील्ड अनुपलब्ध होना चाहिए, केवल जब :other में :value नहीं होता है।',
    'missing_with'         => ':values मौजूद है तो :attribute फ़ील्ड अनुपलब्ध होना चाहिए।',
    'missing_with_all'     => ':values मौजूद हैं तो :attribute फ़ील्ड अनुपलब्ध होना चाहिए।',
    'multiple_of'          => ':attribute :value के एक गुणक होना चाहिए।',
    'not_in'               => 'चयनित :attribute अमान्य है।',
    'not_regex'            => ':attribute प्रारूप अमान्य है।',
    'numeric'              => ':attribute एक संख्या होनी चाहिए।',
    'password'             => [
        'letters'       => ':attribute में कम से कम एक अक्षर होना चाहिए।',
        'mixed'         => ':attribute में कम से कम एक अपरकेस और एक लोअरकेस अक्षर होने चाहिए।',
        'numbers'       => ':attribute में कम से कम एक नंबर होना चाहिए।',
        'symbols'       => ':attribute में कम से कम एक प्रतीक होना चाहिए।',
        'uncompromised' => 'दिए गए :attribute में एक डेटा लीक में प्रकट हुआ है। कृपया एक अलग :attribute चुनें।',
    ],
    'present'              => ':attribute फ़ील्ड मौजूद होना चाहिए।',
    'prohibited'           => ':attribute फ़ील्ड प्रतिबंधित है।',
    'prohibited_if'        => ':attribute फ़ील्ड प्रतिबंधित है, जब :other में :value हो।',
    'prohibited_unless'    => ':attribute फ़ील्ड प्रतिबंधित है, केवल जब :other में :values में से कोई भी हो।',
    'prohibits'            => ':attribute फ़ील्ड :other को मौजूद नहीं होने देता।',
    'regex'                => ':attribute प्रारूप अमान्य है।',
    'required'             => ':attribute फ़ील्ड आवश्यक है।',
    'required_array_keys'  => ':attribute फ़ील्ड में निम्नलिखित के लिए एंट्री होनी चाहिए: :values।',
    'required_if'          => ':other में :value होने पर :attribute फ़ील्ड आवश्यक है।',
    'required_if_accepted' => ':other स्वीकृत होने पर :attribute फ़ील्ड आवश्यक है।',
    'required_unless'      => ':other में :values में से कोई भी होने पर :attribute फ़ील्ड आवश्यक है।',
    'required_with'        => ':values मौजूद होने पर :attribute फ़ील्ड आवश्यक है।',
    'required_with_all'    => ':values मौजूद होने पर :attribute फ़ील्ड आवश्यक है।',
    'required_without'     => ':values मौजूद न होने पर :attribute फ़ील्ड आवश्यक है।',
    'required_without_all' => ':values में से कोई भी मौजूद न होने पर :attribute फ़ील्ड आवश्यक है।',
    'same'                 => ':attribute और :other मेल खाते हैं।',
    'size'                 => [
        'array'   => ':attribute में :size आइटम होने चाहिए।',
        'file'    => ':attribute :size किलोबाइट होना चाहिए।',
        'numeric' => ':attribute :size होना चाहिए।',
        'string'  => ':attribute :size वर्ण होना चाहिए।',
    ],
    'starts_with'          => ':attribute निम्नलिखित में से किसी से आरंभ होना चाहिए: :values।',
    'string'               => ':attribute एक स्ट्रिंग होनी चाहिए।',
    'timezone'             => ':attribute एक मान्य क्षेत्र समय होना चाहिए।',
    'unique'               => ':attribute पहले से ही ले लिया गया है।',
    'uploaded'             => ':attribute अपलोड करने में विफल रहा।',
    'url'                  => ':attribute प्रारूप अमान्य है।',
    'uuid'                 => ':attribute एक मान्य UUID होना चाहिए।',
'attributes'           => [
        'address'                  => 'पता',
        'age'                      => 'आयु',
        'amount'                   => 'मात्रा',
        'area'                     => 'क्षेत्र',
        'available'                => 'उपलब्ध',
        'birthday'                 => 'जन्मदिन',
        'body'                     => 'शरीर',
        'city'                     => 'शहर',
        'content'                  => 'संतुष्ट',
        'country'                  => 'देश',
        'created_at'               => 'पर बनाया गया',
        'creator'                  => 'बनाने वाला',
        'current_password'         => 'वर्तमान पासवर्ड',
        'date'                     => 'तारीख',
        'date_of_birth'            => 'जन्म की तारीख',
        'day'                      => 'दिन',
        'deleted_at'               => 'पर हटा दिया गया',
        'description'              => 'विवरण',
        'district'                 => 'ज़िला',
        'duration'                 => 'अवधि',
        'email'                    => 'ईमेल',
        'excerpt'                  => 'अंश',
        'filter'                   => 'फ़िल्टर',
        'first_name'               => 'पहला नाम',
        'gender'                   => 'लिंग',
        'group'                    => 'समूह',
        'hour'                     => 'घंटा',
        'image'                    => 'छवि',
        'last_name'                => 'उपनाम',
        'lesson'                   => 'पाठ',
        'line_address_1'           => 'लाइन पता 1',
        'line_address_2'           => 'लाइन पता 2',
        'message'                  => 'संदेश',
        'middle_name'              => 'मध्य नाम',
        'minute'                   => 'मिनट',
        'mobile'                   => 'गतिमान',
        'month'                    => 'महीना',
        'name'                     => 'नाम',
        'national_code'            => 'राष्ट्रीय संहिता',
        'number'                   => 'संख्या',
        'password'                 => 'पासवर्ड',
        'password_confirmation'    => 'पासवर्ड पुष्टि',
        'phone'                    => 'फ़ोन',
        'photo'                    => 'तस्वीर',
        'postal_code'              => 'डाक कोड',
        'price'                    => 'कीमत',
        'province'                 => 'प्रांत',
        'recaptcha_response_field' => 'recaptcha प्रतिक्रिया क्षेत्र',
        'remember'                 => 'याद करना',
        'restored_at'              => 'पर बहाल किया गया',
        'result_text_under_image'  => 'छवि के तहत परिणाम पाठ',
        'role'                     => 'भूमिका',
        'second'                   => 'दूसरा',
        'sex'                      => 'लिंग',
        'short_text'               => 'छोटा लेख',
        'size'                     => 'आकार',
        'state'                    => 'राज्य',
        'street'                   => 'गली',
        'student'                  => 'विद्यार्थी',
        'subject'                  => 'विषय',
        'teacher'                  => 'अध्यापक',
        'terms'                    => 'शर्तें',
        'test_description'         => 'विवरण परीक्षण',
        'test_locale'              => 'परीक्षण स्थान',
        'test_name'                => 'परीक्षण का नाम',
        'text'                     => 'मूलपाठ',
        'time'                     => 'समय',
        'title'                    => 'शीर्षक',
        'updated_at'               => 'पर अद्यतन किया गया',
        'username'                 => 'उपयोगकर्ता नाम',
        'year'                     => 'वर्ष',
        'info'                     => 'जानकारी',
        'application'                     => 'आवेदन',
        'business'                     => 'व्यवसाय',
    ],
];
