<?php

declare(strict_types=1);

return [
    'accepted'             => 'O campo :attribute deve ser aceito.',
    'accepted_if'          => 'O campo :attribute deve ser aceito quando :other é :value.',
    'active_url'           => 'O campo :attribute não é uma URL válida.',
    'after'                => 'O campo :attribute deve ser uma data posterior a :date.',
    'after_or_equal'       => 'O campo :attribute deve ser uma data posterior ou igual a :date.',
    'alpha'                => 'O campo :attribute só pode conter letras.',
    'alpha_dash'           => 'O campo :attribute só pode conter letras, números e traços.',
    'alpha_num'            => 'O campo :attribute só pode conter letras e números.',
    'array'                => 'O campo :attribute deve ser uma matriz.',
    'ascii'                => 'O campo :attribute deve conter apenas caracteres alfanuméricos e símbolos de um byte.',
    'before'               => 'O campo :attribute deve ser uma data anterior a :date.',
    'before_or_equal'      => 'O campo :attribute deve ser uma data anterior ou igual a :date.',
    'between'              => [
        'array'   => 'O campo :attribute deve ter entre :min e :max itens.',
        'file'    => 'O campo :attribute deve ter entre :min e :max kilobytes.',
        'numeric' => 'O campo :attribute deve estar entre :min e :max.',
        'string'  => 'O campo :attribute deve ter entre :min e :max caracteres.',
    ],
    'boolean'              => 'O campo :attribute deve ser verdadeiro ou falso.',
    'confirmed'            => 'A confirmação do campo :attribute não coincide.',
    'current_password'     => 'A senha está incorreta.',
    'date'                 => 'O campo :attribute não é uma data válida.',
    'date_equals'          => 'O campo :attribute deve ser uma data igual a :date.',
    'date_format'          => 'O campo :attribute não corresponde ao formato :format.',
    'decimal'              => 'O campo :attribute deve ter :decimal casas decimais.',
    'declined'             => 'O campo :attribute deve ser recusado.',
    'declined_if'          => 'O campo :attribute deve ser recusado quando :other é :value.',
    'different'            => 'Os campos :attribute e :other devem ser diferentes.',
    'digits'               => 'O campo :attribute deve ter :digits dígitos.',
    'digits_between'       => 'O campo :attribute deve ter entre :min e :max dígitos.',
    'dimensions'           => 'O campo :attribute tem dimensões de imagem inválidas.',
    'distinct'             => 'O campo :attribute contém um valor duplicado.',
    'doesnt_end_with'      => 'O campo :attribute não deve terminar com nenhum dos seguintes valores: :values.',
    'doesnt_start_with'    => 'O campo :attribute não deve começar com nenhum dos seguintes valores: :values.',
    'email'                => 'O campo :attribute deve ser um endereço de e-mail válido.',
    'ends_with'            => 'O campo :attribute deve terminar com um dos seguintes valores: :values.',
    'enum'                 => 'O valor selecionado para :attribute é inválido.',
    'exists'               => 'O valor selecionado para :attribute é inválido.',
    'file'                 => 'O campo :attribute deve ser um arquivo.',
    'filled'               => 'O campo :attribute é obrigatório.',
    'gt'                   => [
        'array'   => 'O campo :attribute deve ter mais de :value itens.',
        'file'    => 'O campo :attribute deve ter mais de :value kilobytes.',
        'numeric' => 'O campo :attribute deve ser maior que :value.',
        'string'  => 'O campo :attribute deve ter mais de :value caracteres.',
    ],
    'gte'                  => [
        'array'   => 'O campo :attribute deve ter :value itens ou mais.',
        'file'    => 'O campo :attribute deve ter :value kilobytes ou mais.',
        'numeric' => 'O campo :attribute deve ser maior ou igual a :value.',
        'string'  => 'O campo :attribute deve ter :value caracteres ou mais.',
    ],
    'image'                => 'O campo :attribute deve ser uma imagem.',
    'in'                   => 'O valor selecionado para :attribute é inválido.',
    'in_array'             => 'O campo :attribute não existe em :other.',
    'integer'              => 'O campo :attribute deve ser um número inteiro.',
    'ip'                   => 'O campo :attribute deve ser um endereço de IP válido.',
    'ipv4'                 => 'O campo :attribute deve ser um endereço de IPv4 válido.',
    'ipv6'                 => 'O campo :attribute deve ser um endereço de IPv6 válido.',
    'json'                 => 'O campo :attribute deve ser uma string JSON válida.',
    'lowercase'            => 'O campo :attribute deve estar em letras minúsculas.',
    'lt'                   => [
        'array'   => 'O campo :attribute deve ter menos de :value itens.',
        'file'    => 'O campo :attribute deve ter menos de :value kilobytes.',
        'numeric' => 'O campo :attribute deve ser menor que :value.',
        'string'  => 'O campo :attribute deve ter menos de :value caracteres.',
    ],
    'lte'                  => [
        'array'   => 'O campo :attribute não deve ter mais de :value itens.',
        'file'    => 'O campo :attribute deve ter :value kilobytes ou menos.',
        'numeric' => 'O campo :attribute deve ser menor ou igual a :value.',
        'string'  => 'O campo :attribute deve ter :value caracteres ou menos.',
    ],
    'mac_address'          => 'O campo :attribute deve ser um endereço MAC válido.',
    'max'                  => [
        'array'   => 'O campo :attribute não deve ter mais de :max itens.',
        'file'    => 'O campo :attribute não deve ser maior que :max kilobytes.',
        'numeric' => 'O campo :attribute não deve ser maior que :max.',
        'string'  => 'O campo :attribute não deve ser maior que :max caracteres.',
    ],
    'max_digits'           => 'O campo :attribute não deve ter mais de :max dígitos.',
    'mimes'                => 'O campo :attribute deve ser um arquivo do tipo: :values.',
    'mimetypes'            => 'O campo :attribute deve ser um arquivo do tipo: :values.',
    'min'                  => [
        'array'   => 'O campo :attribute deve ter pelo menos :min itens.',
        'file'    => 'O campo :attribute deve ter pelo menos :min kilobytes.',
        'numeric' => 'O campo :attribute deve ser pelo menos :min.',
        'string'  => 'O campo :attribute deve ter pelo menos :min caracteres.',
    ],
    'min_digits'           => 'O campo :attribute deve ter pelo menos :min dígitos.',
    'missing'              => 'O campo :attribute é obrigatório.',
    'missing_if'           => 'O campo :attribute é obrigatório quando :other é :value.',
    'missing_unless'       => 'O campo :attribute é obrigatório a menos que :other seja :value.',
    'missing_with'         => 'O campo :attribute é obrigatório quando :values está presente.',
    'missing_with_all'     => 'O campo :attribute é obrigatório quando :values estão presentes.',
    'multiple_of'          => 'O campo :attribute deve ser um múltiplo de :value.',
    'not_in'               => 'O valor selecionado para :attribute é inválido.',
    'not_regex'            => 'O formato do campo :attribute é inválido.',
    'numeric'              => 'O campo :attribute deve ser um número.',
    'password'             => [
        'letters'       => 'O campo :attribute deve conter pelo menos uma letra.',
        'mixed'         => 'O campo :attribute deve conter pelo menos uma letra maiúscula e uma minúscula.',
        'numbers'       => 'O campo :attribute deve conter pelo menos um número.',
        'symbols'       => 'O campo :attribute deve conter pelo menos um símbolo.',
        'uncompromised' => 'O :attribute fornecido apareceu em um vazamento de dados. Por favor, escolha um :attribute diferente.',
    ],
    'present'              => 'O campo :attribute deve estar presente.',
    'prohibited'           => 'O campo :attribute é proibido.',
    'prohibited_if'        => 'O campo :attribute é proibido quando :other é :value.',
    'prohibited_unless'    => 'O campo :attribute é proibido a menos que :other esteja em :values.',
    'prohibits'            => 'O campo :attribute proíbe que :other esteja presente.',
    'regex'                => 'O formato do campo :attribute é inválido.',
    'required'             => 'O campo :attribute é obrigatório.',
    'required_array_keys'  => 'O campo :attribute deve conter entradas para: :values.',
    'required_if'          => 'O campo :attribute é obrigatório quando :other é :value.',
    'required_if_accepted' => 'O campo :attribute é obrigatório quando :other é aceito.',
    'required_unless'      => 'O campo :attribute é obrigatório a menos que :other esteja em :values.',
    'required_with'        => 'O campo :attribute é obrigatório quando :values está presente.',
    'required_with_all'    => 'O campo :attribute é obrigatório quando :values está presente.',
    'required_without'     => 'O campo :attribute é obrigatório quando :values não está presente.',
    'required_without_all' => 'O campo :attribute é obrigatório quando nenhum dos :values estão presentes.',
    'same'                 => 'O campo :attribute e :other devem ser iguais.',
    'size'                 => [
        'array'   => 'O campo :attribute deve conter :size itens.',
        'file'    => 'O campo :attribute deve ter :size kilobytes.',
        'numeric' => 'O campo :attribute deve ser :size.',
        'string'  => 'O campo :attribute deve ter :size caracteres.',
    ],
    'starts_with'          => 'O campo :attribute deve começar com um dos seguintes valores: :values',
    'string'               => 'O campo :attribute deve ser uma string.',
    'timezone'             => 'O campo :attribute deve ser um fuso horário válido.',
    'ulid'                 => 'O campo :attribute deve ser um ULID válido.',
    'unique'               => 'O :attribute já foi utilizado.',
    'uploaded'             => 'Falha ao fazer upload do arquivo :attribute.',
    'uppercase'            => 'O campo :attribute deve estar em letras maiúsculas.',
    'url'                  => 'O formato do campo :attribute é inválido.',
    'uuid'                 => 'O campo :attribute deve ser um UUID válido.',
    'step'                 => 'O campo :attribute deve ser um passo de :step.',
'attributes'           => [
        'address'                  => 'endereço',
        'age'                      => 'idade',
        'amount'                   => 'quantia',
        'area'                     => 'área',
        'available'                => 'disponível',
        'birthday'                 => 'aniversário',
        'body'                     => 'corpo',
        'city'                     => 'cidade',
        'content'                  => 'contente',
        'country'                  => 'país',
        'created_at'               => 'criado em',
        'creator'                  => 'criadora',
        'current_password'         => 'Senha atual',
        'date'                     => 'data',
        'date_of_birth'            => 'data de nascimento',
        'day'                      => 'dia',
        'deleted_at'               => 'excluído em',
        'description'              => 'descrição',
        'district'                 => 'distrito',
        'duration'                 => 'duração',
        'email'                    => 'e-mail',
        'excerpt'                  => 'excerto',
        'filter'                   => 'filtro',
        'first_name'               => 'primeiro nome',
        'gender'                   => 'gênero',
        'group'                    => 'grupo',
        'hour'                     => 'hora',
        'image'                    => 'imagem',
        'last_name'                => 'sobrenome',
        'lesson'                   => 'lição',
        'line_address_1'           => 'Endereço de linha 1',
        'line_address_2'           => 'Endereço da linha 2',
        'message'                  => 'mensagem',
        'middle_name'              => 'nome do meio',
        'minute'                   => 'minuto',
        'mobile'                   => 'móvel',
        'month'                    => 'mês',
        'name'                     => 'nome',
        'national_code'            => 'Código Nacional',
        'number'                   => 'número',
        'password'                 => 'senha',
        'password_confirmation'    => 'ConfirmaÇão Da Senha',
        'phone'                    => 'telefone',
        'photo'                    => 'foto',
        'postal_code'              => 'Código postal',
        'price'                    => 'preço',
        'province'                 => 'província',
        'recaptcha_response_field' => 'Campo de resposta recaptcha',
        'remember'                 => 'lembrar',
        'restored_at'              => 'restaurado em',
        'result_text_under_image'  => 'Texto de resultado em imagem',
        'role'                     => 'papel',
        'second'                   => 'segunda',
        'sex'                      => 'sexo',
        'short_text'               => 'pequeno texto',
        'size'                     => 'tamanho',
        'state'                    => 'estado',
        'street'                   => 'rua',
        'student'                  => 'aluna',
        'subject'                  => 'assunto',
        'teacher'                  => 'professora',
        'terms'                    => 'termos',
        'test_description'         => 'Descrição de teste',
        'test_locale'              => 'Local de teste',
        'test_name'                => 'nome de teste',
        'text'                     => 'texto',
        'time'                     => 'tempo',
        'title'                    => 'título',
        'updated_at'               => 'atualizado em',
        'username'                 => 'nome de usuário',
        'year'                     => 'ano',
        'info'                     => 'informações',
        'application'                     => 'aplicativa',
        'business'                     => 'negócios',
    ],
];
