<?php

declare(strict_types=1);

return [
    'accepted'             => ':attribute 必须被接受。',
    'accepted_if'          => '当 :other 为 :value 时，:attribute 必须被接受。',
    'active_url'           => ':attribute 不是一个有效的URL。',
    'after'                => ':attribute 必须是 :date 之后的日期。',
    'after_or_equal'       => ':attribute 必须是 :date 之后的日期或等于 :date。',
    'alpha'                => ':attribute 只能包含字母。',
    'alpha_dash'           => ':attribute 只能包含字母、数字和破折号。',
    'alpha_num'            => ':attribute 只能包含字母和数字。',
    'array'                => ':attribute 必须是一个数组。',
    'ascii'                => ':attribute 只能包含单字节的字母数字字符和符号。',
    'before'               => ':attribute 必须是 :date 之前的日期。',
    'before_or_equal'      => ':attribute 必须是 :date 之前的日期或等于 :date。',
    'between'              => [
        'array'   => ':attribute 必须有 :min 到 :max 个项。',
        'file'    => ':attribute 必须在 :min 到 :max 千字节之间。',
        'numeric' => ':attribute 必须在 :min 到 :max 之间。',
        'string'  => ':attribute 必须在 :min 到 :max 个字符之间。',
    ],
    'boolean'              => ':attribute 字段必须是 true 或 false。',
    'confirmed'            => ':attribute 确认不匹配。',
    'current_password'     => '密码不正确。',
    'date'                 => ':attribute 不是一个有效的日期。',
    'date_equals'          => ':attribute 必须等于 :date。',
    'date_format'          => ':attribute 与格式 :format 不匹配。',
    'decimal'              => ':attribute 必须有 :decimal 位小数。',
    'declined'             => ':attribute 必须被拒绝。',
    'declined_if'          => '当 :other 为 :value 时，:attribute 必须被拒绝。',
    'different'            => ':attribute 和 :other 必须不同。',
    'digits'               => ':attribute 必须是 :digits 位数字。',
    'digits_between'       => ':attribute 必须在 :min 和 :max 位数字之间。',
    'dimensions'           => ':attribute 具有无效的图像尺寸。',
    'distinct'             => ':attribute 字段具有重复的值。',
    'doesnt_end_with'      => ':attribute 不能以以下任何值结尾：:values。',
    'doesnt_start_with'    => ':attribute 不能以以下任何值开头：:values。',
    'email'                => ':attribute 必须是一个有效的电子邮件地址。',
    'ends_with'            => ':attribute 必须以以下任何值结尾：:values。',
    'enum'                 => '选择的 :attribute 无效。',
    'exists'               => '选择的 :attribute 无效。',
    'file'                 => ':attribute 必须是一个文件。',
    'filled'               => ':attribute 字段是必填的。',
    'gt'                   => [
        'array'   => ':attribute 必须有更多于 :value 个项。',
        'file'    => ':attribute 必须大于 :value 千字节。',
        'numeric' => ':attribute 必须大于 :value。',
        'string'  => ':attribute 必须多于 :value 个字符。',
    ],
    'gte'                  => [
        'array'   => ':attribute 必须有 :value 个项或更多。',
        'file'    => ':attribute 必须大于或等于 :value 千字节。',
        'numeric' => ':attribute 必须大于或等于 :value。',
        'string'  => ':attribute 必须多于或等于 :value 个字符。',
    ],
    'image'                => ':attribute 必须是一个图像。',
    'in'                   => '选择的 :attribute 无效。',
    'in_array'             => ':attribute 字段不存在于 :other 中。',
    'integer'              => ':attribute 必须是一个整数。',
    'ip'                   => ':attribute 必须是一个有效的IP地址。',
    'ipv4'                 => ':attribute 必须是一个有效的IPv4地址。',
    'ipv6'                 => ':attribute 必须是一个有效的IPv6地址。',
    'json'                 => ':attribute 必须是一个有效的JSON字符串。',
    'lowercase'            => ':attribute 必须是小写。',
    'lt'                   => [
        'array'   => ':attribute 必须有更少于 :value 个项。',
        'file'    => ':attribute 必须小于 :value 千字节。',
        'numeric' => ':attribute 必须小于 :value。',
        'string'  => ':attribute 必须少于 :value 个字符。',
    ],
    'lte'                  => [
        'array'   => ':attribute 不能有更多于 :value 个项。',
        'file'    => ':attribute 必须小于或等于 :value 千字节。',
        'numeric' => ':attribute 必须小于或等于 :value。',
        'string'  => ':attribute 必须少于或等于 :value 个字符。',
    ],
    'mac_address'          => ':attribute 必须是一个有效的MAC地址。',
    'max'                  => [
        'array'   => ':attribute 不能有更多于 :max 个项。',
        'file'    => ':attribute 不能大于 :max 千字节。',
        'numeric' => ':attribute 不能大于 :max。',
        'string'  => ':attribute 不能多于 :max 个字符。',
    ],
    'max_digits'           => ':attribute 不能超过 :max 位数。',
    'mimes'                => ':attribute 必须是类型为：:values 的文件。',
    'mimetypes'            => ':attribute 必须是类型为：:values 的文件。',
    'min'                  => [
        'array'   => ':attribute 必须至少有 :min 个项。',
        'file'    => ':attribute 必须至少为 :min 千字节。',
        'numeric' => ':attribute 必须至少为 :min。',
        'string'  => ':attribute 必须至少为 :min 个字符。',
    ],
    'min_digits'           => ':attribute 必须至少有 :min 位数。',
    'missing'              => ':attribute 字段是必需的。',
    'missing_if'           => '当 :other 为 :value 时，:attribute 字段是必需的。',
    'missing_unless'       => '除非 :other 为 :value，否则 :attribute 字段是必需的。',
    'missing_with'         => '当 :values 存在时，:attribute 字段是必需的。',
    'missing_with_all'     => '当 :values 存在时，:attribute 字段是必需的。',
    'multiple_of'          => ':attribute 必须是 :value 的倍数。',
    'not_in'               => '选择的 :attribute 无效。',
    'not_regex'            => ':attribute 格式无效。',
    'numeric'              => ':attribute 必须是一个数字。',
    'password'             => [
        'letters'       => ':attribute 必须包含至少一个字母。',
        'mixed'         => ':attribute 必须包含至少一个大写字母和一个小写字母。',
        'numbers'       => ':attribute 必须包含至少一个数字。',
        'symbols'       => ':attribute 必须包含至少一个符号。',
        'uncompromised' => '提供的 :attribute 已经出现在数据泄露中。请选择一个不同的 :attribute。',
    ],
    'present'              => ':attribute 字段必须存在。',
    'prohibited'           => ':attribute 字段被禁止。',
    'prohibited_if'        => '当 :other 为 :value 时，:attribute 字段被禁止。',
    'prohibited_unless'    => '除非 :other 在 :values 中，否则 :attribute 字段被禁止。',
    'prohibits'            => ':attribute 字段禁止 :other 存在。',
    'regex'                => ':attribute 格式无效。',
    'required'             => ':attribute 字段是必需的。',
    'required_array_keys'  => ':attribute 字段必须包含以下条目：:values。',
    'required_if'          => '当 :other 为 :value 时，:attribute 字段是必需的。',
    'required_if_accepted' => '当 :other 被接受时，:attribute 字段是必需的。',
    'required_unless'      => '除非 :other 在 :values 中，否则 :attribute 字段是必需的。',
    'required_with'        => '当 :values 存在时，:attribute 字段是必需的。',
    'required_with_all'    => '当 :values 存在时，:attribute 字段是必需的。',
    'required_without'     => '当 :values 不存在时，:attribute 字段是必需的。',
    'required_without_all' => '当没有 :values 存在时，:attribute 字段是必需的。',
    'same'                 => ':attribute 和 :other 必须匹配。',
    'size'                 => [
        'array'   => ':attribute 必须包含 :size 个项。',
        'file'    => ':attribute 必须为 :size 千字节。',
        'numeric' => ':attribute 必须为 :size。',
        'string'  => ':attribute 必须为 :size 个字符。',
    ],
    'starts_with'          => ':attribute 必须以以下任何值开头：:values',
    'string'               => ':attribute 必须是一个字符串。',
    'timezone'             => ':attribute 必须是一个有效的时区。',
    'ulid'                 => ':attribute 必须是一个有效的ULID。',
    'unique'               => ':attribute 已经被占用。',
    'uploaded'             => ':attribute 上传失败。',
    'uppercase'            => ':attribute 必须是大写。',
    'url'                  => ':attribute 格式无效。',
    'uuid'                 => ':attribute 必须是一个有效的UUID。',
    'step'                 => ':attribute 必须是 :step 步骤。',
'attributes'           => [
        'address'                  => '地址',
        'age'                      => '年龄',
        'amount'                   => '数量',
        'area'                     => '区域',
        'available'                => '可用的',
        'birthday'                 => '生日',
        'body'                     => '身体',
        'city'                     => '城市',
        'content'                  => '内容',
        'country'                  => '国家',
        'created_at'               => '创建在',
        'creator'                  => '创造者',
        'current_password'         => '当前密码',
        'date'                     => '日期',
        'date_of_birth'            => '出生日期',
        'day'                      => '天',
        'deleted_at'               => '删除',
        'description'              => '描述',
        'district'                 => '区',
        'duration'                 => '期间',
        'email'                    => '电子邮件',
        'excerpt'                  => '摘抄',
        'filter'                   => '筛选',
        'first_name'               => '名',
        'gender'                   => '性别',
        'group'                    => '团体',
        'hour'                     => '小时',
        'image'                    => '图像',
        'last_name'                => '姓',
        'lesson'                   => '课',
        'line_address_1'           => '线地址1',
        'line_address_2'           => '线地址2',
        'message'                  => '信息',
        'middle_name'              => '中间名字',
        'minute'                   => '分钟',
        'mobile'                   => '移动的',
        'month'                    => '月',
        'name'                     => '姓名',
        'national_code'            => '国家法典',
        'number'                   => '数字',
        'password'                 => '密码',
        'password_confirmation'    => '确认密码',
        'phone'                    => '电话',
        'photo'                    => '照片',
        'postal_code'              => '邮政编码',
        'price'                    => '价格',
        'province'                 => '省',
        'recaptcha_response_field' => 'recaptcha响应字段',
        'remember'                 => '记住',
        'restored_at'              => '恢复',
        'result_text_under_image'  => '图像下的结果文本',
        'role'                     => '角色',
        'second'                   => '第二',
        'sex'                      => '性别',
        'short_text'               => '短文',
        'size'                     => '尺寸',
        'state'                    => '状态',
        'street'                   => '街道',
        'student'                  => '学生',
        'subject'                  => '主题',
        'teacher'                  => '老师',
        'terms'                    => '术语',
        'test_description'         => '测试说明',
        'test_locale'              => '测试区域',
        'test_name'                => '测试名称',
        'text'                     => '文本',
        'time'                     => '时间',
        'title'                    => '标题',
        'updated_at'               => '更新在',
        'username'                 => '用户名',
        'year'                     => '年',
        'info'                     => '信息',
        'application'                     => '应用',
        'business'                     => '商业',
    ],
];
